--
-- Author: Link
-- Date: 2013-12-28 20:14:06
--
-- mark: ========================== 预定义数据 ==============================
-- 还没有装备的定义
NOT_EQUIPED = -1
-- 上阵的最大阵容
MAX_TEAMCOUNT	= 5
-- 人命的最长，最短数目
MAX_PLAYER_LEN	= 10
MIN_PLAYER_LEN	= 4
-- 背包的最大信息
MAX_BAG_COUNT	= 2000
-- 最大建筑数目
MAX_BUILDINGCNT	= 7

-- 铜钥匙ID
KEY_TONG_ID			= 5006
-- 银钥匙ID
KEY_YIN_ID			= 5007
-- 金钥匙ID
KEY_JIN_ID			= 5008
-- 翻倍卡的ID
ITEM_SCALE_ID		= 59888

-- 精力1 ID
ITEM_ENERGY_1_ID	= 59000
-- 精力2 ID
ITEM_ENERGY_2_ID	= 5003
-- 体力3 ID
ITEM_ENERGY_3_ID	= 59104

-- 体力1 ID
ITEM_ACTIVITY_1_ID	= 59001
-- 体力2 ID
ITEM_ACTIVITY_2_ID	= 5004
-- 体力3 ID
ITEM_ACTIVITY_3_ID	= 59105

-- 金币1 ID
ITEM_GOLD_1_ID		= 5019
-- 金币2 ID
ITEM_GOLD_2_ID		= 5020
-- 金币3 ID
ITEM_GOLD_3_ID		= 5021

-- 金币ID
ITEM_ID_GOLD		= 59883
ITEM_ID_GOLD_TEMP	= 1
-- 钻石ID
ITEM_ID_DIAMOND		= 59882
ITEM_ID_DIAMOND_TEMP= 2
-- 超级大奖ID
ITEM_ID_SUPER_REWARD= 59881


-- 车合成C卡ID
ITEM_ID_CAR_COM_C	= 57001
-- 车合成B卡ID
ITEM_ID_CAR_COM_B	= 57002
-- 车合成A卡ID
ITEM_ID_CAR_COM_A	= 57003
-- 晋阶卡
ITEM_ID_CARD_JINJIAN = 57777
-- 扫荡卡
ITEM_ID_CARD_SKIP 	= 59109


----------------------- 活动的ID -----------------------
-- 双倍副本活动ID
ACT_PVE_STORY_ID 	= 9910
-- 双倍掠夺活动ID
ACT_PVP_PLUNDER_ID 	= 9911
-- 在线宝箱活动ID
ACT_ONLINE_BOX_ID 	= 9916
-- 每日任务
ACT_DAILY_TASK_ID 	= 9917
-- 消费大转盘活动ID
ACT_EXPEND_TABLE_ID = 9907
-- 打折活动
ACT_SHOP_ZHE_ID 	= 9922
-- 招财猫
ACT_LUCKY_CAT_ID	= 9918
---------------------------------------------------------


-- 游戏中物品的大类型
ItemBigType = {
	-- 商店物品
	ShopItem 	= 1,
	-- 车子
	Car 		= 2,
	-- 装备
	Equip 		= 3,
	-- 碎片
	Piece 		= 4,
}
-- 游戏中物品的小类型
ItemSmallType = {
	Gold 		= 2, --金币(gold).加金币的
	Diamond 	= 3, --钻石币(diamond).加钻石的
	
	Energy 		= 4, --//能量值[精力值](PVE).
	Activity 	= 5, --//行动力[体力值](PVP).
	
	Car 		= 6, --//车(car).
	
	Tir 		= 7, --//轮胎.
	Engine 		= 8, --//引擎.
	Earing 		= 9, --//轴承.
	Tank 		= 10, --//油箱.
	
	DesignMap 	= 11, --//设计图(特殊车收集使用).
	Fragment 	= 12, --//碎片(buff碎片).
	QianLi 		= 13, --//潜力丹(增加属性必须的丹).
	Key 		= 14, --//钥匙().
	GiftBag 	= 15, --//礼包().
	NoFight 	= 16, --免战
	Egg 		= 17, --扭蛋

	CarExp 		= 18, -- 车经验卡
	EquipExp	= 19, -- 装备经验卡
	CarCombine 	= 20, -- 车合成卡
	CarUpgrade	= 21, -- 车升星卡
	SkipStory 	= 22, -- 扫荡卡
}

-- 地面路的类型
RaceRoadType ={
	BingLu 		= 1,	-- 冰路
	GongLu 		= 2,	-- 公路
	YueYeLu		= 3,	-- 越野路
	ShangDi 	= 4,	-- 沙地
	HuoShan 	= 5,	-- 火山(原雪地)
	ShiLu 		= 6,	-- 石路
	CaoDi 		= 7,	-- 草地
}
-- 队伍类型
CarTeamType ={
	LuRen 			= 1,	-- "路人众",
	BeiLuSi			= 2,	-- "贝鲁斯军团",
	U2JunTuan		= 3,	-- "U2军团",
	PenShe 			= 4,	-- "喷射军团",
	UJunTuan		= 5,	-- "U军团",
	NongCun			= 6,	-- "农村少年团",
	LongJuanFeng	= 7,	-- "龙卷旋风队【青森县】",
	BaiHuDui 		= 8,	-- "白虎队【福岛县】",
	HuangXiang		= 9,	-- "幻象军团【秋田县】",
	TuJinJuTuan		= 10,	-- "突进军团",
	TaoTaiLang		= 11,	-- "桃太郎队【冈山县】",
	JiBenDui		= 12,	-- "吉本队【西大阪】",
	RenZhe			= 13,	-- "忍者军团【三重县】",
	ZhongJinShu		= 14,	-- "重金属军团【东京】",
	YaMaXu 			= 15,	-- "亚马逊队",
	HaiDaoDiZhu		= 16,	-- "海岛地主队",
	GuYuan5BaoTai	= 17,	-- "固原五胞胎队",
	HeiFengDui		= 18,	-- "黑风队",
	XiTeLe 			= 19,	-- "希特勒队"
}
-- 缘的判断类型
TeamYuanType = {
	OtherCar 	= 0,	-- 阵容上是否有其他人
	Equip 		= 1,	-- 是否不装备了某些特地装备
}
-- 缘的添加属性类型
TeamYuanAddType = {
	Speed 		= 0,	-- 速度
	ASpeed 		= 1,	-- 加速度
	Turn 		= 2,	-- 转弯 
	AllThree 	= 3,	-- 所有属性
}
-- 车子技能类型
CarSkillType = {
	DOWN_ENEMY_ONE_ATTR = 0, -- 单体削弱
	DOWN_ENEMY_ALL_ATTR = 1, -- 全体削弱
	STOP_ENEMY_ONE = 2, -- 暂停一辆车
	STOP_ENEMY_ALL = 3,	-- 暂停所有车
	MIANYI_SKILL_ONE = 4, -- 单体免疫
	MIANYI_SKILL_ALL = 5, -- 全体免疫
	STRONG_SELF_ONE_ATTR = 6, -- 单体增强
	STRONG_SELF_ALL_ATTR = 7, -- 全体增强
	ROBBERY_ONE_TO_ONE = 8, -- 掠夺对方单体属性给我方单体
	ROBBERY_ONE_TO_ALL = 9, -- 掠夺对方单体属性给我方群体
	ROBBERY_ALL_TO_ONE = 10, -- 掠夺对方群体属性给我方单体
	ROBBERY_ALL_TO_ALL = 11, -- 掠夺对方群体属性给我方群体
	XISHENG_ONE_TO_ALL = 12, -- 牺牲我方单体属性给我方群体
	XISHENG_ONE_TO_ONE = 13, -- 牺牲我方单体属性给我方单体
	XISHENG_ALL_TO_ONE = 14, -- 牺牲我方其他群体给我方单体
	FIRE_ON_ONE_ENEMY = 15, -- 集火攻击
	BOTH_DOWN_ATTR = 16, -- 双刃剑，降低自己属性，同时降低对方属性
	REFLEX_ATTR_ONE = 17, -- 反伤给对方
	REFLEX_ATTR_ALL = 18, -- 反伤给对方群体
	REPLACE_DAMAGE = 19, -- 代替队友吸收所有减少属性的伤害
	MARK_AS_ENEMY_ONE = 20, -- 单体伪装成对方，免疫对方技能，吸收对方增益属性
	REPLACE_ENEMY_POS = 21, -- 与对手替换位置
}
-- 技能的对象类型
SkillTargetType = {
	Blank = 0, --空
	AllEnemy  = 1, -- 对方群体
	Enemy1 = 2, --	敌方第一名,//
	Enemy2 = 3, --	敌方第二名,//
	Enemy3 = 4, --	敌方第三名,//
	Enemy4 = 5, --	敌方第四名,//
	Enemy5 = 6, --	敌方第五名,//
	EnemyNearest = 7, --	敌方离我最近,//

	SelfAll = 8, --	我方全体,//
	Self1 = 9, --	我方第一名,//
	Self2 = 10, --	我方第二名,//
	Self3 = 11, --	我方第三名,//
	Self4 = 12, --	我方第四名,//
	Self5 = 13, --	我方第五名,//
	SelfCur = 14, --	我自己,//
}

-- 星级预定义
StarTypeDef = {
	StarE 	= 1,	-- E
	StarD 	= 2,	-- D
	StarC 	= 3,	-- C
	StarB 	= 4,	-- B
	StarA 	= 5,	-- A
	StarS 	= 6,	-- S
	StarTotal = 6,	-- 总数
}

-- 社交关系
SocialType = {
	Stranger	= 1,	-- 陌生人
	Friend 		= 2,	-- 好友
	Enemy 		= 3,	-- 宿敌
}
-- 
FightGetItemType = {
	ShopItem 	= 1,	-- 商店物品
	Card 		= 2,	-- 卡牌
	DoubleLoot 	= 3,	-- 双倍掠夺
}

---- 单个服务器列表的信息
CTSertListUnit = {
	-- 服务器索引
	nIdx = 0,
	-- 服务器名称
	strName = " ",
	-- 服务器Ip
	strIp = " ",
	-- 端口
	nPort = 0,
	-- 服务器状态
	nStatus = 0,
	-- 服务器新旧状态(0是旧服,1是新服)
	nServFlag = 0,
}

-- 服务器是否新服
CTServerNew = {
	Old = 0, -- 旧服
	New = 1, -- 新服
}

-- 服务器的状态。
CTServerStatus = {
	Stop = 0, -- 停服.
	Repair = 1, -- 维护.
	Run = 2, -- 运行（正常）.
}

-- 无尽试炼的buff类型
EndlessBuffType = {
	TypeAddSelfAttr = 1, -- 增加自己属性
	TypeSubEnemyAttr = 2, -- 降低自己属性
	TypeAddSelfSkillEffect = 3, -- 增加自己技能效果
	TypeSubEnemySkillEffect = 4, -- 降低自己技能效果
}


-- 任务的完成情况
StoryProgressType = {
	NotReach 	= -1,	-- 还没有到达
	Progressing = 0,	-- 正在进行时
	HadPast 	= 1,	-- 已经通过 
}

-- 点数的类型
PlayValueType = {
	Energy 		= 1,	-- 精力
	Activity 	= 2,	-- 体力
}

-- mark: ========================== 玩家数据 ==============================
-- 角色颜色
UserInfo = {
	-- 玩家ID
	nUserId = 0,
	-- 昵称 
	strNick = "",
	-- 等级数
	nLv = 0,
	-- 当前等级经验值
	nCurExp = 0,
	-- 当前升级所需经验值
	nLevelExp = 0,
	-- 当前精力
	nCurEnergy = 0,
	-- 最大精力值
	nMaxEnergy = 0,
	-- 精力的CD时间
	nEnergyCD = 0,
	-- 当前精力还剩多少时间
	fEnergyRestCD = 100,
	-- 当前活力
	nCurActivity = 0,
	-- 当前最大活力点数
	nMaxAcitivity = 0,
	-- 当前活力的CD时间
	nAcitivityCD = 0,
	-- 当前体力还剩多少时间
	fAcitivityRestCD = 100,
	-- vip等级
	nVipLevel = 0,
	-- vip经验值
	nVipExp = 0,
	-- 金币数目
	nGoldNum = 0,
	-- 钻石数
	nDiamodNum = 0,

	-- 车子的卡卡牌的位置
	nOpenCarLv = 0,
	-- 装备的开等级情况
	nOpenEquipLv = 0,

	-- 三种钥匙的情况
	nKey1Scale	= 1,
	nKey2Scale	= 1,
	nKey3Scale 	= 1,

	-- 教学的标记
	tTeachInfos = { --[=[   [1]=1  ]=]},-- key是教学ID，数值是步骤，0是未教学，-1是已教学

	-- 活动相关
	nContinualDays = 1,
	bLogonReward = false,

	-- 公告最大值
	nMaxAnnounceNO = 0,

	-- 服务器时间和客户端时间差值
	fServDeltaTime	= 0,

	-- 已经使用的数目
	nEnergyItemUsedCnt		= 0,
	nActivityItemUsedCnt	= 0,

	-- 是否已经钻石首抽
	nDiamondCarPort 		= 0;

	-- 时间
	tArrFreeCardTime 	= {--[[免费时间数组]]},
	--	辅助车位置解锁值（0：都没解锁，11：1和2位置已解锁，11111：5个位置都解锁）
	nHelpCarUnlock = 0 ,
	--	用户支付购买金额的次数列表。
	tArrPayCnt = {--[[  [  [0]=1，"序号"  [1]=3,"购买次数" ]  ]]} ,
	-- 月卡
	tMouthCard = {  bIsOn=false, nLastDay=0 }
}



UserFightInfo = {
	
}
-- 人物升级信息
LevelUpInfo = {
	-- 是否显示升级
	bIsNeedShow = false,
	-- 显示的等级
	nShowLv 	= 0,
	-- 初始精力
	nPrvEnergy 	= 0,
	-- 升级的精力
	nLvUpEnergy = 0,
	-- 之前阵容的位置的数目
	nPrevTeamCount = 0,
	-- 升级的阵容数目
	nLvUpTeamCount = 0,
	-- 之前的好友数目
	nPrevFriendCount = 0,
	-- 升级的好友数目
	nLvUpFriendCount = 0,
	-- 解锁数据 
	tUnlockList = {
		-- {
		-- 	nID = 0,
		-- 	nLv = 0,
		-- },
	},
}
-- 每个等级的信息
LevelListInfo = {
	-- 显示的等级
	nShowLv 	= 0,
	-- 当前等级升级所需经验
	nTotalExp 	= 0,
	-- 升级的精力
	nMaxEnergy = 0,
	-- 之前阵容的位置的数目
	nMaxTeamCount = 0,
	-- 升级的建筑数目
	nMaxBuildCount = 0,
	-- 朋友最大值
	nMaxFriend = 0,
	-- 是否有等级奖励
	bIsReward = false,
	-- 解锁数据 
	tUnlockList = {
		-- {
		-- 	nID = 0,
		-- 	nLv = 0,
		-- },
	},
}

-- 社交的用户数据，朋友或宿敌
SocialOneData = {
	-- 玩家的ID
	nUserID 	= 0,
	-- 玩家名字
	strName 	= "",
	-- 玩家等级
	nLv 		= 1,
	-- vip等级
	nVipLv 		= 1,
	-- 排行榜排名
	nRank 		= 1000,
	-- 上阵的详细信息,车子的ID
	nCarList    = {},
	-- 防守的地图ID
	nMapID 		= 3001,
	-- 掠夺对象的财富
	nGold		= 1,
	-- 掠夺得到的金币
	nLootGold 	= 0,
	-- 当前的战功值
	nCurMedal 	= 0,
}

-- 用户特殊数据
UserSpecialData = {
	-- 掠夺的对象列表， SocialOneData 数组
	tLootPlayerList = {},
	-- 掠夺是否可以刷新
	bIsLootRefresh 	= false,

	-- 排行榜对象列表， SocialOneData 数组
	tRankPlayerList = {},
	

	-- 朋友列表， SocialOneData 数组
	tFriendList = {},
	-- 宿敌列表， SocialOneData 数组
	tEnemyList = {},
	-- 是否要重新获取朋友或宿敌列表
	bIsNeedGetList = true,
	-- 好友和宿敌的最大数
	nMaxFriend	= 0,

	-- 排名
	nRank 		= 4500,
	-- 掠夺排名
	nLootRank	= 5000,
	-- 掠夺的金币
	nLootGold	= 0,
	-- 已经挑战的次数
	nRankTimes	= 0,
	-- 最大挑战次数
	nMaxRankTimes = 16,
	-- 排名分数，战功之类的
	nRankScore 	= 10,
	-- 掠夺积分
	nLootScore 	= 0,
	-- 防守的地图ID
	nMapID 		= 3001,
	-- 当前解锁的地图列表
	tUnlockMapList = {},
	-- 掠夺积分的兑换次数,从0开始，每个是1
	tLootHadCount	= {}
}

-- 无尽试炼数据
UserEndlessData = {
	-- 试炼基本信息
	-- 试炼几人阵
	nTopRankIdx = 1,
	-- 当前排名
	nLocalTopRank = 0,
	-- 最大挑战次数
	nTotalCntMax = 3,
	-- 当前已挑战次数
	nLocalCnt = 0,
	-- 昨日最高闯关关卡
	nYesterdayMaxLv = 0,
	-- 今日最高闯关关卡
	nTodayMaxLv = 0,
	-- 挑战地图id
	nMapId = 3001,
	-- 挑战地图类型
	nMapType = 1,
	
	-- 是否在闯关中 --
	bInFight = false,
	-- 当前闯关的总星星数
	nFightTotalStarNum = 0,
	-- 当前闯关剩余星星数
	nFightLeftStarNum = 0,
	-- 闯关中的信息
	-- 当前的闯关层数.
	nLocalFightLv = 0,
	-- 到奖励需要的关卡数.
	nNeedLv = 0,

	-- 胜利的类型
	nWinType = 1,
	nAddStar = 0, -- 胜利后给的奖杯个数.
	
	-- 奖励相关
	bReward = false, -- 是否显示奖励.
	nNeedLv = 0,-- 到下一个奖励点的关数.
	nAddGold = 0, -- 奖励金币值
	nAddDiamond = 0, -- 奖励钻石值
	nAddKeyId = 0, -- 奖励钥匙道具id（）
	nAddKeyIdx = 0, -- 奖励钥匙道具idx（）
	nAddKeyNum = 0, -- 奖励钥匙个数（）

	-- 选择的buff列表
	pSelBuffArr = {}, -- buff (序号idx, 类型type, 百分比num, 星星star)
	-- 选择的NPC列表
	pNPCArr = {}, -- npc (序号idx, 类型type, 百分比num, 星星star)
	-- 总buff类型的列表
	pTotalBuffArr = {}, -- npc (类型:type, buff加成的百分比:per)

	-- 是否已经突进
	nQuickStart = 0,
	--当前状态
	nState 	= 0,
	-- 昨日突进难度关卡
	nOldHardMaxLv = 0,
	-- 昨日闯关最多奖杯数
	nOldStarMax = 0,
	
}
-- VIP的数据处理
VipDataInfo = {
	nVipLv 	= 0,				-- 当前Vip等级
	nNeedMoney = 0,				-- 当前Vip等级所需的金币数
	nMaxEnergyCnt = 11,			-- 精力道具使用限制
	nMaxMoveCnt = 32,			-- 体力道具使用限制
	nMaxFreeRankCnt = 16,		-- 最大竞技的数目
	nMaxFriendCnt = 35,			-- 当前好友最大数
	nMaxEnemyCnt = 35,			-- 当前宿敌最大数
	nMaxEndlessCnt = 3,			-- 无尽试练个数
	nFreeStoryBossCnt = 1,		-- 免费的Boss次数
	bFreeBuildConstruction = false,	-- 是否建造建筑不需要等级限制
	nFreeStorySweepCnt = 0,		-- 剧情模式的扫荡卷个数
	nAddBuildOutputGoldRate = 0,	-- 增加的建筑金币产出的比例(X%)
	nAddUnlockspeed	= 0,		-- 4倍数解锁
	nAddLootCarModelSuccessRate = 0,	-- 增加的掠夺车模成功几率(X%)
}
-- mark: ========================== 背包和道具数据 ==============================
-- 物品的类型信息
local ItemTypeInfo = {
	nBigType = ItemBigType.ShopItem,
	nSmallType = ItemSmallType.Gold,
}

-- 车子的属性
CarInfo = {
	-- 类型
	tType = clone(ItemTypeInfo),
	-- 车子ID
	nID = 0,
	-- 车子名字
	strName = "",
	-- 等级
	strStar = "",
	-- 车子描述信息
	strContent = "",
	-- 车子速度
	fSpeed = 1,
	-- 车子加速度
	fASpeed = 1,
	-- 车子转弯
	fTurn = 1,
	-- 车子升一级增加的速度
	fLvSpeed = 0,
	-- 车子升一级增加的加速度
	fLvASpeed = 0,
	-- 车子升一级增加的转弯，如果是经验卡，则是经验值
	fLvTurn = 0,
	-- 队伍类型
	nTeamType = 1,
	-- 在每个路面类型上面的加成效果，百分数
	tRoadEffect = {
		-- : [
  --           15, 
  --           15, 
  --           0, 
  --           0, 
  --           -15, 
  --           -15, 
  --           0
  --       ], 
	},
	-- 缘的处理
	tYuan = {
	 --            [
	  --               "nIdx":1, 缘索引
	 --                "strName":"旋风小子", 
	 --                "nType":0, -- 添加的对象类型
	 --                "nTargeID":[-- 添加的对象ID列表
	 --                    1031, 
	 --                    1032, 
	 --                    1033, 
	 --                    1034
	 --                ], 
	 --                "nAddType":0, -- 添加的属性类型 
	 --                "fPercent":35 -- 添加的数值百分比
	 --            ], 
	},
	-- 技能,数组，里面只有一个技能
	tSkill = {
		-- [
		-- 		"nIdx": 1,//技能索引
		-- 		"strName": "",//名称.
		-- 		"nType": 0,//技能类型.
		--		"nAddTo":2,-- 增益指向类型
		--		"nSubTo":2,-- 减弱指向类型
		--		"tDt" = {0,0,0,0,0,0} -- 技能偏差值，
		--		"tShowEff" : {1, 0} -- 技能显示的效果
		--		-- 顺序是，起始时间，起始效果，起始几率，满级时间，满级效果，满级几率
		-- ],//天赋技能.
	},
}
-- 配件的属性
EquipInfo = {
	-- 类型
	tType = clone(ItemTypeInfo),
	-- 车子ID
	nID = 0,
	-- 车子名字
	strName = "",
	-- 等级
	strStar = "",
	-- 车子描述信息
	strContent = "",
	-- 车子速度
	fSpeed = 1,
	-- 车子加速度
	fASpeed = 1,
	-- 车子转弯
	fTurn = 1,
	-- 车子升一级增加的速度
	fLvSpeed = 0,
	-- 车子升一级增加的加速度
	fLvASpeed = 0,
	-- 车子升一级增加的转弯，如果是经验卡，则是经验值
	fLvTurn = 0,
	-- 在每个路面类型上面的加成效果，百分数
	tRoadEffect = {
		-- "mapAddRate": [
  --           15, 
  --           15, 
  --           0, 
  --           0, 
  --           -15, 
  --           -15, 
  --           0
  --       ], 
	},
	-- 技能,数组，目前没有技能
	tSkill = {
		-- [
		-- 		"nIdx": 1,//技能索引
		-- 		"strName": "",//名称.
		-- 		"fTrigger": 20,//触发的百分比值.
		-- 		"nType": 0,//技能类型.
		-- 		"fAddition": 20,//加成的比例.
		-- 		"fTime": 2.0,//持续时间.
		-- ],//天赋技能.
	},
}

--背包普通道具信息
NormalItemInfo = {
	-- 类型
	tType = clone(ItemTypeInfo),
	-- 物品ID
	nID = 0,
	-- 物品名字
	strName = "",
	-- 等级
	strStar = "",
	-- 物品描述信息
	strContent = "",
	-- 
	fArrNum = {0,0,},
}

-- 背包简易信息
BagSimpleInfo = {
	-- 物品id
	nID = 0,
	-- 物品序号(后买的序号大于先买的物品序号).
	nIdx = 0,
	-- 当前的小类型
	nSmallType = 0,
	-- 物品个数
	nNum = 0,
	-- 物品等级
	nLv = 0,
	-- 物品经验值
	nExp = 0,
	-- 当前合成等级
	nMergeLv = 0,
	-- 添加的数目
	nAddCount = 0,
	-- 额外增加的星级。
	nAddStarLv = 0,
	-- 物品的星级。
	strStarLv = "E",
}

-- 背包物品信息
BagItem = {
	-- 物品id
	nID = 0,
	-- 物品序号(后买的序号大于先买的物品序号).
	nIdx = 0,
	-- 当前的小类型
	nSmallType = 0,
	-- 物品个数
	nNum = 0,
	-- 物品等级
	nLv = 0,
	-- 物品当前等级总经验，根据等级获取经验
	nTotalExp = 1,
	-- 物品经验值
	nExp = 0,
	-- 当前合成等级
	nMergeLv = 0,
	-- 额外增加的星级。
	nAddStarLv = 0,
	-- 物品的最终星级。
	strStarLv = "E",
	-- 是否装备｛[1]=true,｝true表示已经装备在对应的队伍上
	tEquipList = {},
	-- bIsEquip = false,
	-- 车子和装备的总属性，是车子和装备的时候才使用到
	fTotalSpeed = 0,
	fTotalASpeed = 0,
	fTotalTurn = 0,
	-- 缘的启用数组，ture表现当前缘被启用了,有多少个缘就有多少个数组值
	tYuanStart = {},
	-- 当前的地图加成情况，包括计算合成之后的。如果不是车，则没有
	tRoadEffect = {
		-- [
  --           15, 
  --           15, 
  --           0, 
  --           0, 
  --           -15, 
  --           -15, 
  --           0
  --       ], 
	},
}
-- 物品列表
LootAndRankItem = {
	-- 交易ID
	nGoodID 	= 0,
	-- 购买的物品ID
	nItemID 	= 0,
	-- 购买的物品数目
	nItemCount 	= 0,
	-- 使用的积分
	nScore 		= 0,
	-- 使用的金币
	nGold 		= 0,
	-- 最大购买数
	nMaxCount 	= 10,
	-- 当前已经购买数
	nCurCount 	= 0,
}
-- 商店物品具体信息
ShowOneItemInfo = {
	GoodsID 	= 0, 
    ItemID 		= 0, 
    ItemCount 	= 1, 
    MoneyType 	= 2, 
    MoneyValue 	= 0, 
    OrigCost 	= 0, 
    ItemName 	= "", 
    ItemContent = "", 
    VipLv 		= 0, 
    BoxList 	= "{}",
}
-- mark: ========================== 阵容数据 ==============================
-- 阵容里面一辆车子的信息
TeamCar = {
	-- 车子所在背包的索引
	nCarIdx = NOT_EQUIPED,
	-- 车子配件在背包的索引
	-- 轮胎
	nLunTai = NOT_EQUIPED,
	-- 引擎
	nYinQin = NOT_EQUIPED,
	-- 轴承
	nZhou = NOT_EQUIPED,
	-- 油箱
	nYouXiang = NOT_EQUIPED,
}
-- 一套阵容
OneTeamList = {
	-- 当前队伍所在索引
	nTeamIdx 	= -1;
	-- 上阵车子列表，里面是 TeamCar 组成的数组
	tArrCarList = {},
	-- 辅助车子列表，里面是 整形数字，代表着所有背包里面的索引
	tArrAidList = {},
	-- 队伍的总属性
	fTotalSpeed = 0,
	fTotalASpeed = 0,
	fTotalTurn = 0,
}

-- 查别人看的车子数据信息
ViewTeamOneInfo = {
	nCarID			= NOT_EQUIPED,
	nCarLv 			= 0,
	nLunTaiID		= NOT_EQUIPED,
	nLunTaiLv		= 0,
	nYinQinID		= NOT_EQUIPED,
	nYinQinLv		= 0,
	nZhouID			= NOT_EQUIPED,
	nZhouLV			= 0,
	nYouXiangID		= NOT_EQUIPED,
	nYouXiangLv		= 0,
	nTotalSpeed 	= 0,
	nTotalASpeed 	= 0,
	nTotalTurn 		= 0,
	-- 缘和技能的开启情况
	tYuanList 		= {false, false, false, false}
}
ViewTeamList = {
	-- 上阵车子列表 ViewTeamOneInfo 数组
	tCarList = {},
	-- 辅助阵容列表，车子背包索引
	tAidCarList = {},
	-- 防守地图
	nDefMapId = 3001,
}

-- mark: ========================== 剧情的信息结构 ==============================
-- 剧情进度
ChapterProgress = {
	-- 大章节
	nBigID 	= 0,
	-- 大章节ID所在索引
	nBigIdx 	= 0,
	-- 解锁到的中章节ID
	nCurMidID 	= 0,
	-- 中章节ID所在索引
	nCurMidIdx 	= 0,
	-- 当前任务ID
	nCurTaskID	= 0,
	-- 当前任务ID所在索引
	nCurTaskIdx	= 0,
	-- 当前是否已经获取大章节完成情况
	bIsGetBig	= false,

	-- 精英进度的大章节ID
	nJYBigID	= 0,
	-- 精英进度的大章节索引
	nJYBigIdx 	= 0,
	-- 精英进度的中章节ID
	nJYMidID 	= 0,
	-- 精英进度的中章节索引
	nJYMidIdx	= 0,
}
-- 大章节
TaskBigChapter = {
	-- 大章节ID
	nID 		= 0,
	-- 大章节名字
	strName 	= "",
	-- 当前是否获取当前大章节内部的完成情况
	bIsGetMid	= false,
	-- 当前是否解锁
	bIsUnlock	= false,
	-- 大章节的内容,TaskMidChapter信息的数组
	tChapterList = {},
}
-- 中型章节信息
TaskMidChapter = {
	-- 中章节ID
	nID 		= 0,
	-- 中型章节名字
	strName 	= "",
	-- 是否解锁
	bIsUnlock	= false,

	-- 任务列表信息，TaskBaseInfo数组
	tTaskList 	= {},
	-- boss关卡信息
	tBossInfo	= {
		-- 刷的物品ID
		nItemID 	= 0,
		-- 当前剩余次数
		nRestCount	= 0,
		-- 当前的建议战斗力
		nTotalFValue = 0,
		-- 购买当前物品需要多少钻石，默认50
		nBuyDiamond	= 50,
		-- 精英副本的剩余次数
		nJingYingTimes = 3,
		-- 精英副本的刷的物品ID
		nJingYingItemID = 0,
		-- 精英副本的建议战斗力
		nJingYingFValue = 0,
		-- 精英副本的已购买次数
		nJingYingBuyCnt = 0,
	},
}
-- 小任务信息
TaskBaseInfo = {
	-- 任务ID
	nTaskID 	= 0,
	-- 标题
	strTitle 	= "",
	-- 内容
	strContent 	= "",
	-- 需求的精力
	nNeedEnergy	= 0,
	-- 获得到的经验
	nGetExp 	= 0,
	-- 获得到的金币
	nGetGold 	= 0,
	-- 总共需要完成次数
	nTotalCount = 0,
	-- 当前已经完成的次数
	nCurCount 	= 0,
	-- 当前是否是BOSS关卡
	bIsBoss 	= false,
	-- 当前是否已经解锁
	bIsUnlock	= false,
}

-- 物品所在副本位置的处理
TaskItemAddress = {
	-- 大章节
	nBigID 		= 0,
	-- 中章节ID
	nMidID 		= 0,
	-- 小章节ID
	nTaskID 	= 0,
	-- 物品所在的地址位置
	nItemID		= 0,
	-- 是否是碎片
	bIsPiece	= false,
	-- 是否是精英
	bIsJingYing	= false,
}

-- 进入对战界面的信息
IntoBattleType = {
	Story 		= 1,
	Unlimited	= 2,
	Rank 		= 3,
	Loot 		= 4,
	QieCuo 		= 5,	-- 切磋
	JingYing 	= 6,	-- 精英副本
	Email 		= 7,	-- 战斗回放
}
-- 
-- -- 从战斗返回的类型
-- BattleBackInfo = {
-- 	nType 	= 1,	-- IntoBattleType
-- 	-- 故事模式时
-- 	nType == Story {
-- 		nBigID = 1,
-- 		nMidID = 1,
-- 		nTaskID = 1,
-- 	}
-- }
-- mark: ========================== 消息列表的信息结构 ==============================
MessageInfoType = {
	Loot 		= 1,	--	int	掠夺金币
	Rank 		= 2,	--	int	排名挑战
	Pet 		= 3,	--	int	掠夺碎片
	QieCuo 		= 4,	--	int	好友切磋
		
	Msg 		= 16,	--	int	留言
	ReqFriend 	= 17,	--	int	加好友请求
	AgreeFriend = 18,	--	int	同意加为好友
	RefuseFriend= 19,	--	int	拒绝加为好友
	RemoveFriend= 20,	--  int 删除好友
		
	CostGift 	= 32,	--	int	充值送物品
	MouthCard 	= 33,	--	int 月卡信息
	SysGift 	= 48,	--	int	系统发送的补偿
}
-- 战斗通知信息结构
BattaleMsgInfo = {
	-- 消息类型
	nMsgType	= MessageInfoType.OtherSysMsg,
	-- 消息的ID
	nMsgID		= 0,
	-- 时间长度
	nPastTime	= 0,
	-- 对方的id
	nUserID 	= 0,
	-- 消息的状态
	nStatus 	= 0,
	-- 昵称
	strNick		= "",
	-- 传送的数据结构
	tDataList 	= {},
	-- 对方等级
	nUserLv		= 0,
	-- 对方战斗力
	nTotalValue	= 0,
}

-- 系统通知信息结构
SystemMsgInfo = {
	-- 消息类型
	nMsgType	= MessageInfoType.OtherSysMsg,
	-- 消息的ID
	nMsgID		= 0,
	-- 时间长度
	nPastTime	= 0,
	-- 对方的id
	nUserID 	= 0,
	-- 消息的状态
	nStatus 	= 0,
	-- 昵称
	strNick		= "",
	-- 传送的数据结构
	tDataList 	= {},
	-- 发送过来的消息
	strContent	= "",
}

MessageStatus = {
	NewMsg 		= 0,	-- 新消息
	HadRead		= 1,	-- 已经读取
	HadGetItem	= 2,	-- 已经领取
}

-- mark: ========================== 建筑的消息类型 ==============================
-- 一个建筑的信息
OneBuildingInfo = {
	-- 建筑的ID
	nBuildingID		= NOT_EQUIPED,
	-- 建筑的等级
	nBuildingLv 	= 0,
	-- 建筑位置
	nBuildPos 		= NOT_EQUIPED,
	-- 上次更新时间
	fPrevUpdateTime	= 0,
	-- 是否被掠夺过
	bIsLoot 		= false;
	-- 预留的两个CD时间,第一个用于金币
	fBuildingCD1	= -200.0,
	fBuildingCD2	= -200.0,
}
-- 经济建筑的接口
EconomyBuildInfo = {
	-- 建筑ID
	nBuildingID 	= 0,
	-- 名称
	strName 		= "",
	-- 描述信息
	strContent 		= "", 
	-- 开始建造等级
    nStartBuildLv 	= 4, 
    -- 开始建造的货币数
    nStartBuildCoin	= 50000, 
    -- 开始建造的货币类型
    nStartBCoinType	= 2, 
    -- 最高等级
	nMaxLv 			= 10,
	-- 升级的等级需求,数组
	nArrUpdateLvs	= {},
	-- 升级公式
	strUpdateCoids 	= "0",
	-- 每次产出货币的列表
	tOutCoinList 	= {0,0,0,0,0,0, 0,0,0,0,0},
	-- 产出的货币类型
	nOutCoinType	= 2,
	-- 每次产出的其他资源数
	nOutValueCnt 	= 1,
	-- 产出的其他资源类型
	nOutValueType 	= 1, 
	-- 货币冷却时间
	nCoinCDTime 	= 1800,
	-- 其他资源冷却时间
	nOutValueCDTime	= 1800,
	-- 货币拥有的最大值
	nMaxCoinNum 	= {1,2,3,4,5, 6,7,8,9,10,},
	-- 其他资源最大值
	nMaxOutVNum 	= 0,
}

-- mark: ========================== 临时活动的消息类型 ==============================

-- 活动状态列表
HuoDongStatusList = {
	nFreeEnergyStatus 	= -1,	--（-1:未获取,0:午餐时间未到，1：午餐可以领取，2：晚餐时间未到，3：晚餐可以领取）
}

ActivityStatus = {
	NotShow = -1,	-- 不显示
	Stop = 0,		-- 停止，或者还没有开启
	Start = 1,		-- 现在属于开启中
}
ActivityOneInfo = {
	-- 活动ID
	nActId = 0,
	-- 具体的活动数据
	tData  = nil,
}

-- 系统临时活动。
TempActivityInfo = {
	-- 活动ID
	nActId = 0,
	-- 活动开始时间(s)
	nStartTime = 0,
	-- 活动结束时间(s)
	nEndTime = 0,
	-- 活动数值
	nData = 0,
}

-- mark: ========================== 系统公告的消息类型 ==============================
-- 一条系统公告的类型。
SysAnnounceInfo = {
	-- 公告更新时间(s)
	nTime = 0,
	-- 公告标题
	sTitle = "",
	-- 公告内容
	sContent = "",
	-- 公告按钮
	nBtn = 0,
	-- 公告跳转http地址
	sHttp = "",
}
