-- 不同等级的，还没有建造的建筑
-- Author: Link
-- Date: 2014-06-18 14:45:24
--
-- 基础视图
local BuildingBase = requires(ROOT_PATH, "app/GameLg/Lobby/GameBase/Building/BuildingBase")
local BuildingUnBuild = class("BuildingUnBuild", BuildingBase)

-- 初始化
function BuildingUnBuild:ctor()
	self.super.ctor(self)

	-- 当前解锁的建筑
	self.nUnlockLv = 4;

	-- 创建
	self:CreateBuildingBottom()
end

-- 根据数据初始化
function BuildingUnBuild:InitBuilding( tDataList )
	self.nUnlockLv = tDataList[1];


	-- 建筑名称
	local pSpBuild = CCSprite:create("Images/BG-006.png")
	pSpBuild:setAnchorPoint( ccp(0.5, -0.05) )
	pSpBuild:setScale(1.1)
	self:addChild(pSpBuild);

	local pLbLv = CCLabelTTF:create(""..self.nUnlockLv.."级", LABEL_BOLD_FONT_NAME, 36)

	-- local pLbLv = CTImgLabel:new()
	-- pLbLv:InitLabel(""..self.nUnlockLv, Public_GetResPathByKey("Images/Font/BuildingLv.json"), 40)

	-- if self.nUnlockLv < 10 then
	-- 	pLbLv:setPosition( ctspccp(pSpBuild, 0.41, 0.5) )
	-- else
		-- pLbLv:setPosition( ctspccp(pSpBuild, 0.65, 0.45) )
	-- end
	pLbLv:setPosition( ctspccp(pSpBuild, 0.65, 0.45) )
	pLbLv:setAnchorPoint( ccp(0.5, 0) )
	pSpBuild:addChild(pLbLv)
	-- pLbLv:release()

	-- local pLbJi = CCSprite:create("Images/JianZhuTouYing-ji.png")
	-- pLbJi:setScale(0.6)
	-- pLbJi:setAnchorPoint(ccp(0,0.0))
	-- pLbJi:setPosition( ccpAdd(pLbLv:getPositionInCCPoint(), ccp(30, 0)) )
	-- pSpBuild:addChild(pLbJi)

	-- 开启文字
	-- local pLbStart = CCSprite:create("Images/JianZhuTouYing-kq.png")
	-- pLbStart:setAnchorPoint(ccp(1, 1))
	-- pLbStart:setPosition( ctspccp(pLbJi, 1, -0.05) )
	-- pLbJi:addChild(pLbStart)
end


-- 点击建筑区域
function BuildingUnBuild:TouchBuildByPart( nPart, PartTypeEnum)
	-- 判断等级是否合适
	if nPart == PartTypeEnum.BuildingPart then
		SOUNDMGR:PlayEffClickButton()

		local nCurLv = DATAMGR:GetUserInfoMgr():GetUserBaseInfo().nLv;
		local nFoundationUnlockLv = DATAMGR:GetUserInfoMgr():GetBuildingUnlockLv();
		if nCurLv < nFoundationUnlockLv then
			DIALOGMGR:ShowToast(string.format("建筑物到等级%d才开放", nFoundationUnlockLv))
			return;
		end
		-- 建筑物无视等级
		if nCurLv >= self.nUnlockLv or DATAMGR:GetUserInfoMgr():GetCurUserVipData().bFreeBuildConstruction == true then
			GameViewMgr:shareMgr():ShowChildViewWithInfo(GameViewType.BuildChooseView, self:GetCurBuildIdx())

			TEACHMGR:ShowSwichToNextStep();
		else
			DIALOGMGR:ShowToast(string.format("当前位置到等级%d才开放", self.nUnlockLv))
		end
	end
end

return BuildingUnBuild;