--
-- Author: Link
-- Date: 2014-03-10 21:37:28
--
-- 基础视图
local GameView = requires(ROOT_PATH, "app/GameLg/Lobby/Others/GameView")
local ViewGetCarPort = class("ViewGetCarPort", GameView)

local CardPortUiTag = {
	
	BtnClose 		= 9,	-- 关闭按钮
	LbDiamond		= 5,	-- 钻石总数
	LbGold 			= 8,	-- 黄金总数

	-- 汽车碎片
	SpCarIconBg 	= 26,	-- 汽车碎片icon背景
	SpCarIconLight 	= 27,	-- 汽车碎片icon光
	SpCarIcon 		= 28,	-- 汽车碎片icon
	SpCarIconFlag 	= 29,	-- 汽车碎片标记
	LbFreeTimeCar 	= 30,	-- 汽车碎片免费领取倒计时

	SpPayTypeOneCar	= 32,	-- 汽车碎片购买一个支付类型标记  金币 或者砖石
	SpPayTypeTenCar	= 41,	-- 汽车碎片购买十个支付类型标记  金币 或者砖石

	LbPayMoneyOneCar = 33,	-- 汽车碎片购买一个金额
	LbPayMoneyTenCar = 42,	-- 汽车碎片购买十个金额

	BtnBuyOneCar 	= 34,	-- 汽车碎片购买一个按钮 
	BtnBuyTenCar 	= 43,	-- 汽车碎片购买十个按钮 

	LbPayOneCar1 	= 38,	-- 汽车按钮购买一个文字
	LbPayOneCar2 	= 49,	-- 汽车按钮购买一个文字
	LbPayTenCar 	= 47,	-- 汽车按钮购买十个文字


	-- 道具碎片
	SpPropIconBg 	= 63,	-- 配件碎片icon背景
	SpPropIconLight = 66,	-- 配件碎片icon光
	SpPropIcon 		= 64,	-- 配件碎片icon
	SpPropIconFlag 	= 65,	-- 配件碎片标记
	LbFreeTimeProp 	= 67,	-- 配件碎片免费领取倒计时

	SpPayTypeOneProp = 69,	-- 配件碎片购买一个支付类型标记  金币 或者砖石
	SpPayTypeTenProp = 80,	-- 配件碎片购买十个支付类型标记  金币 或者砖石

	LbPayMoneyOneProp = 70,	-- 配件碎片购买一个金额
	LbPayMoneyTenProp = 81,	-- 配件碎片购买十个金额

	BtnBuyOneProp 	 = 71,	-- 配件碎片购买一个按钮 
	BtnBuyTenProp 	 = 82,	-- 配件碎片购买十个按钮

	LbPayOneProp1 	= 74,	-- 配件按钮购买一个文字
	LbPayOneProp2 	= 77,	-- 配件按钮购买一个文字
	LbPayTenProp 	= 85,	-- 配件按钮购买十个文字




}
-- mark: ======================================= 滚动的盘 =============================================
-- local CarPortScrollView = class("CarPortScrollView", function ( )
-- 	return display.newLayer()
-- end)

-- -- 初始化
-- function CarPortScrollView:ctor()
-- 	-- super init
--  	self.super.ctor(self)
 	
-- 	self.pCtuiLayer = nil
-- 	-- 
-- 	self.pTabelView = nil

-- 	self.bIsScrollEnd = true

-- 	self.nScrollTimes = 66
-- 	self.nGetItemID  = 0
-- 	-- 物品ID信息
-- 	self.nItemIDList = {}
-- end

-- -- 初始化
-- function CarPortScrollView:InitWithLayer(pLyShow)
-- 	self.pCtuiLayer = pLyShow
-- end

-- -- 开始显示
-- function CarPortScrollView:StartShowScroll(nItemID)
-- 	if self.pTabelView ~= nil then
-- 		CTAssert(0, "当前已经在显示一个滑动框了！！")
-- 		return
-- 	end

-- 	local pLyShow = self.pCtuiLayer:ShowChildUiByTag(CardPortUiTag.LyScrollView)
-- 	local pLyColor = CCLayerColor:create(GRAY_BG_COLOR)
-- 	pLyColor:setScale(1.5)
-- 	pLyShow:addChild(pLyColor, -1)
-- 	-- 不显示
-- 	-- self.pCtuiLayer:SetCTUINodeVisiable(CardPortUiTag.LyCarCell, false)

-- 	-- local pIconBg = self.pCtuiLayer:GetNodeByTag(18)
-- 	-- pIconBg:setVisible(false)

-- 	-- 表格的回调的
-- 	local function TabelViewCallBack( event )
-- 		-- 表格总数
-- 		if event.type == "count" then
-- 			return self:CTTableViewShowCellCount(event.table)

-- 		-- 表格的key
-- 		elseif event.type == "key" then
-- 			return self:CTTableViewCellByIdx(event.table, event.Idx)

-- 		-- 创建
-- 		elseif event.type == "Create" then
-- 			return self:CTTableViewCreateNewCellByIdx(event.table, event.Idx, event.key)

-- 		-- 显示具体信息
-- 		elseif event.type == "showCell" then
-- 			self:CTTableViewShowToExistCellByIdx(event.table, event.cell)

-- 		-- 改变尺寸的回调中
-- 		elseif event.type == "ReSize" then
-- 			local tSize = CCSizeMake(event.width, event.height)
-- 			self:CTTableViewChangeSize(event.table, event.cell, tSize)

-- 		-- cell上面点中按钮的回调
-- 		elseif event.type == "Btn" then
-- 			self:CTTableViewClickCellButtonByIdx(event.table, event.Idx, event.BtnType)

-- 		-- 在cell上面点击的回调
-- 		elseif event.type == "Click" then
-- 			self:CTTableViewClickCell(event.table, event.cell)
-- 		end
-- 	end

-- 	local pScrollBg = self.pCtuiLayer:GetNodeByTag(CardPortUiTag.SpScrollBg)
-- 	local tBotRect = CCRectMake(0, 10, 500, 350)
-- 	-- 创建滑动的表格
-- 	self.pTabelView = CTTableView:new()
-- 	self.pTabelView:initWithFrameLua(tBotRect, TabelViewCallBack)
-- 	self.pTabelView:SetNormalCellSize(CCSizeMake(tBotRect.size.width, 118))
-- 	self.pTabelView:setDelSpeedRate(0.01)
-- 	-- self.pTabelView:SetScrollSpeed(10)

-- 	pScrollBg:addChild(self.pTabelView, 1)

-- 	self.pTabelView:release()

-- 	-- 随机获取物品信息
-- 	local tCarIDList = DATAMGR:GetItemInfoMgr():GetCarIDList({"A", "B", "C"})
-- 	local nRanCount = #tCarIDList
-- 	local nGetTimes = self.nScrollTimes+20
-- 	for i=1,nGetTimes do
-- 		self.nItemIDList[i] = tCarIDList[ GetRandom(1, nRanCount) ]
-- 		-- table.Random()
-- 	end

-- 	-- 复制结果ID
-- 	self.nItemIDList[self.nScrollTimes+1] = nItemID
-- 	self.nGetItemID = nItemID

-- 	-- 刷新显示
-- 	self.pTabelView:reloadTableData()

-- 	-- 开始滑动
-- 	self.pTabelView:SetOffsetPos(ccp(0, 480), true)

-- 	self.bIsScrollEnd = false
-- end

-- -- 删除滚盘的显示
-- function CarPortScrollView:RemoveScrollView()
-- 	if self.bIsScrollEnd == false then
-- 		return
-- 	end
-- 	-- 删除转盘
-- 	self.pCtuiLayer:RemoveChildUiByTag(CardPortUiTag.LyScrollView)
-- 	self.pTabelView = nil
-- end

-- -- 是否在显示中
-- function CarPortScrollView:IsShowScroll()
-- 	if self.pTabelView ~= nil then
-- 		return true
-- 	end
-- 	return false
-- end

-- -- 处理获取得到的物品ID StarTypeDef
-- function CarPortScrollView:ShowGetItemEffect(nItemID)
-- 	local tItemInfo = DATAMGR:GetItemInfoMgr():GetItemInfoByID(nItemID)
-- 	local nStarType = DATAMGR:GetItemInfoMgr():GetLevelStarTypeByName(tItemInfo.strStar)
-- 	-- 下一个教学
-- 	TEACHMGR:ShowSwichToNextStep();
-- 	-- 小于B级，则不显示效果
-- 	if nStarType < StarTypeDef.StarC then
-- 		return
-- 	end

-- 	NEW_ITEM_MGR:ShowAddOneItem(nItemID, 1)
-- end


-- -- mark: ============ 表格回调 ============
-- -- 如果之前的没有创建cell，则提示创建新的cell
-- function CarPortScrollView:CTTableViewCreateNewCellByIdx(pTableView, nCreateIdx, strKey)
-- 	local pCell = CTTableViewCell:new()

-- 	-- local pCellInfo = self.pCtuiLayer:ReCreateUiNode(CardPortUiTag.LyCarCell, false, CardPortUiTag.LyCarCell, 0, UiNotShowEnd)
-- 	local tFrame = pTableView:getShowFrame()
-- 	-- pCellInfo:setPosition(ccp(-tFrame:getMinX()-76, -tFrame:getMinY()-344))
-- 	-- pCell:addChild(pCellInfo, 2)

-- 	local temCarLv = self.pCtuiLayer:GetNodeByTag(CardPortUiTag.SrolCar3)
-- 	local pSpCar = self.pCtuiLayer:ReCreateUiNode(CardPortUiTag. SrolCar3, false, CardPortUiTag.SrolCar3, 0, UiNotShowEnd)
-- 	pSpCar:setPosition( ccp( temCarLv:getPositionX() - 10, temCarLv:getPositionY() - 5))

-- 	local pSpCarLv = self.pCtuiLayer:ReCreateUiNode(CardPortUiTag.SrolLv3, false, CardPortUiTag.SrolLv3, 0, UiNotShowEnd)
-- 	local temCarLv = self.pCtuiLayer:GetNodeByTag(CardPortUiTag.SrolLv3)
-- 	pSpCarLv:setPosition( ccp( temCarLv:getPositionX() - 10, temCarLv:getPositionY() - 5))
-- 	-- pSpCar:setPosition(ccp(-tFrame:getMinX()+ 300, -tFrame:getMinY()-344 + 30))

-- 	pCell:addChild(pSpCarLv, 2)
-- 	pCell:addChild(pSpCar, 2)
	
-- 	local pSpLv1 = self.pCtuiLayer:GetNodeByTag(CardPortUiTag.SrolLv1)
-- 	local pSpCar1 = self.pCtuiLayer:GetNodeByTag(CardPortUiTag.SrolCar1)

-- 	local pSpLv2 = self.pCtuiLayer:GetNodeByTag(CardPortUiTag.SrolLv2)
-- 	local pSpCar2 = self.pCtuiLayer:GetNodeByTag(CardPortUiTag.SrolCar2)

-- 	local pSpLv3 = self.pCtuiLayer:GetNodeByTag(CardPortUiTag.SrolLv3)
-- 	local pSpCar3 = self.pCtuiLayer:GetNodeByTag(CardPortUiTag.SrolCar3)

-- 	pSpLv1:setVisible(false)
-- 	pSpCar1:setVisible(false)

-- 	pSpLv2:setVisible(false)
-- 	pSpCar2:setVisible(false)

-- 	pSpLv3:setVisible(false)
-- 	pSpCar3:setVisible(false)


-- 	pCell:autorelease()
-- 	return pCell
-- end
-- -- 如果之前已经提示创建了cell，则提示已经开始显示到对应的cell，提示开始修改数据
-- function CarPortScrollView:CTTableViewShowToExistCellByIdx(pTableView, pCell)
-- 	-- 获取具体信息
-- 	local nItemid = self.nItemIDList[pCell:getCellIdx()+1]
-- 	local tItemInfo = DATAMGR:GetItemInfoMgr():GetItemInfoByID(nItemid)
-- 	-- 等级
-- 	local pSpLv = SHARE_FUNC:GetCardBigStarTextureByStar(tItemInfo.strStar)
--  	local pSpCarLv = pCell:GetChildNodeByTag(CardPortUiTag.SrolLv3)
--  	tolua.cast(pSpCarLv, "CCSprite")
--  	if pSpLv and pSpCarLv then 
--  		pSpCarLv:setTexture(pSpLv)
--  	end

-- 	local nShowIdx = pCell:getCellIdx()+3
-- 	if nShowIdx == 6 then
-- 		SOUNDMGR:PlayEffScrollCarOrKey();
-- 	end
-- 	-- 滑动到的位置
-- 	if nShowIdx == (self.nScrollTimes+4) then
-- 		self.bIsScrollEnd = true
-- 		-- 显示获得卡牌
-- 		self:performWithDelay(function()
-- 			self:ShowGetItemEffect(self.nGetItemID)
-- 		end, 0.3)
-- 	end
-- 	-- 修改车子图片
-- 	local tCarSprite = DATAMGR:GetItemInfoMgr():GetCarSmallImageSpriteByID(tItemInfo.nID)
-- 	local pSpCar = pCell:GetChildNodeByTag(CardPortUiTag.SrolCar3)
-- 	tolua.cast(pSpCar, "CCSprite")
-- 	pSpCar:setTexture( tCarSprite:getTexture() )
-- 	-- pSpCar:setTextureRect( tCarSprite:getTextureRect() )
-- 	-- pSpCar:setVisible(false)
-- 	if (nShowIdx+1)  > self.nScrollTimes then
-- 		return
-- 	end

-- 	-- 
-- 	local fHeight = self.pTabelView:getContentSize().height - self.pTabelView:getShowFrame().size.height
-- 	local fNextHeight = self.pTabelView:GetNormalCellSize().height * nShowIdx
-- 	if fNextHeight < 0 then
-- 		fNextHeight = 0
-- 	elseif fNextHeight > fHeight then
-- 		fNextHeight = fHeight
-- 	end
-- 	self.pTabelView:SetOffsetPos(ccp(0, fNextHeight), true)
-- end
-- -- 获取对应idx的cell的key值
-- function CarPortScrollView:CTTableViewCellByIdx(pTableView, nCellIdx)
-- 	return "a"
-- end
-- -- 获取显示的cell的总数
-- function CarPortScrollView:CTTableViewShowCellCount(pTableView)
-- 	-- 如果是顶部标签栏
-- 	return #self.nItemIDList
-- end
-- -- 点击了其中一个cell
-- function CarPortScrollView:CTTableViewClickCell(pTableView, pCell)
	
-- end
-- -- 点击cell上面的按钮
-- function CarPortScrollView:CTTableViewClickCellButtonByIdx(pTableView, nCellIdx, nButtonType)
-- end
-- -- 改变尺寸的回调
-- function CarPortScrollView:CTTableViewChangeSize(pTableView, pCell, suNewSize)

-- end

-- mark: ======================================= ViewGetCarPort =======================================

-- 初始化
function ViewGetCarPort:ctor()
	-- 时间
	self.tArrTime = {}
	-- 地板的图片
	self:ShowViewBg()
	
 	-- 当前界面
	self.pCtuiLayer = CTUILayer:new();
	self.pCtuiLayer:InitWithFile(Public_GetResPathByKey("Images/TBW.ctui"))
	self.pCtuiLayer:setAnchorPoint(ccp(0.5, 1))
	self.pCtuiLayer:setPosition(ctprccp(0.5, 1))
	self.pCtuiLayer:ignoreAnchorPointForPosition(false)
	self.pCtuiLayer:SetUiScaleType(CTUIScaleType_Base_Width)
	self.pCtuiLayer:ShowAllUiInfo()
	self:addChild(self.pCtuiLayer)
	self.pCtuiLayer:release()

	-- 是否有免费了
	self.bIsCarFree = false;
	self.bIsEquipFree = false;


	-- 删除转盘
	-- self.pCtuiLayer:RemoveChildUiByTag(CardPortUiTag.LyScrollView)

	-- local pIconBg = self.pCtuiLayer:GetNodeByTag(CardPortUiTag.CellCarBg)
	-- pIconBg:setVisible(false)

	-- 点击事件设置.
	self.pCtuiLayer:setDelegateLua(function(event)
	-- 如果是按钮点击事件
		if event.cbType == "btnCb" then
			self:CTUIButtonCallBack(event.Layer, event.Btn, event.Tag)
		end
	end)

	-- -- 转盘的处理
	-- self.pItemScroll = CarPortScrollView.new()
	-- self.pItemScroll:InitWithLayer(self.pCtuiLayer)
	-- self:addChild(self.pItemScroll, 1)

	-- -- 什么都没有开启
	-- self.nShowLv = 0

	-- -- 数字的变化
	-- self.nCurDiamond = -100
	-- self.nCurGold 	 = -100

	-- -- 显示章节信息
	-- local nLv = DATAMGR:GetUserInfoMgr():GetUserBaseInfo().nOpenCarLv
	-- self:ReshowUnlockLevel(nLv, true, true)

	-- -- 得到的东西滑动层
	-- self.pLyMoveLayer = CCLayer:create()
	-- self.pLyMoveLayer:ignoreAnchorPointForPosition(false)
	-- self.pLyMoveLayer:setAnchorPoint(ccp(0,1))	
	-- self.pLyMoveLayer:setPosition(ctspccp(self.pCtuiLayer, 0, 1))
	-- self.pCtuiLayer:addChild(self.pLyMoveLayer)

	-- -- 得到的卡牌数目和列表
	-- self.nCarListCount = 0
	-- self.tCarList = {}


	-- -- 标记处理
	-- local pLbFlag1 = self.pCtuiLayer:GetNodeByTag(CardPortUiTag.LbDiamondCarFlag)
	-- print("fdfdsafd:", pLbFlag1, DATAMGR:GetUserInfoMgr():GetUserBaseInfo().nDiamondCarPort)
	-- if pLbFlag1 then
	-- 	if DATAMGR:GetUserInfoMgr():GetUserBaseInfo().nDiamondCarPort == 0 then
	-- 		pLbFlag1:setVisible(true)
	-- 	else
	-- 		pLbFlag1:setVisible(false)
	-- 	end
	-- end

	-- 显示初始UI。
	self:InitUIShow()
end

-- 显示初始UI。
function ViewGetCarPort:InitUIShow(  )
	
	-- 单抽车碎片所需金币。
	local pLbGetOneCarNeedGold = self.pCtuiLayer:GetNodeByTag(CardPortUiTag.LbPayMoneyOneCar)
	tolua.cast(pLbGetOneCarNeedGold, "CCLabelTTF")
	pLbGetOneCarNeedGold:setString(""..30000)
	-- 10连抽车碎片所需金币。
	local pLbGetTenCarNeedGold = self.pCtuiLayer:GetNodeByTag(CardPortUiTag.LbPayMoneyTenCar)
	tolua.cast(pLbGetTenCarNeedGold, "CCLabelTTF")
	pLbGetTenCarNeedGold:setString(""..300000)
	
	-- 单抽配件碎片所需金币。
	local pLbGetOneEquipNeedGold = self.pCtuiLayer:GetNodeByTag(CardPortUiTag.LbPayMoneyOneProp)
	tolua.cast(pLbGetOneEquipNeedGold, "CCLabelTTF")
	pLbGetOneEquipNeedGold:setString(""..30000)
	-- 10连抽配件碎片所需金币。
	local pLbGetTenEquipNeedGold = self.pCtuiLayer:GetNodeByTag(CardPortUiTag.LbPayMoneyTenProp)
	tolua.cast(pLbGetTenEquipNeedGold, "CCLabelTTF")
	pLbGetTenEquipNeedGold:setString(""..300000)

	-- 更新配件Icon显示。
	local pSpEquipIcon = self.pCtuiLayer:GetNodeByTag(CardPortUiTag.SpPropIcon)
	tolua.cast(pSpEquipIcon, "CCSprite")
	local pSpFrame = DATAMGR:GetItemInfoMgr():GetItemIconNameByID(2025)
	if pSpFrame ~= nil then
		pSpEquipIcon:setDisplayFrame(pSpFrame)
	end

	-- 车低光动画。
	local pSpCarBot = self.pCtuiLayer:GetNodeByTag(CardPortUiTag.SpCarIconLight)
	tolua.cast(pSpCarBot, "CCSprite")
	-- 车发光效果。
	if true then
		local tScaleAct2 = CCRotateBy:create(3.4, 360)
		pSpCarBot:runAction( CCRepeat:create(tScaleAct2, 100000000) )
	end

	-- 配件低光动画。
	local pSpEquipBot = self.pCtuiLayer:GetNodeByTag(CardPortUiTag.SpPropIconLight)
	tolua.cast(pSpEquipBot, "CCSprite")
	-- 发光效果。
	if true then
		local tScaleAct2 = CCRotateBy:create(3.4, 360)
		pSpEquipBot:runAction( CCRepeat:create(tScaleAct2, 100000000) )
	end
end

-- 初始化数据显示
function ViewGetCarPort:InitViewWithData(tDataList)
	-- 进入下一步骤
	TEACHMGR:ShowSwichToNextStep();
end

-- 重新根据数据显示
function ViewGetCarPort:ReshowWithData(tDataList)
	
end

-- -- 刷新修改四个位置显示
-- function ViewGetCarPort:ReshowUnlockLevel(nLv, bIsCar, bForce)
-- 	if bIsCar == true then
-- 		DATAMGR:GetUserInfoMgr():GetUserBaseInfo().nOpenCarLv = nLv
-- 	else
-- 		DATAMGR:GetUserInfoMgr():GetUserBaseInfo().nOpenEquipLv = nLv
-- 	end
-- 	-- 保持时间
-- 	local tUserInfo = DATAMGR:GetUserInfoMgr():GetUserBaseInfo()
-- 	local tKeepTime = tUserInfo.tArrFreeCardTime

-- 	local tMidPosTmp = ccp(85, 32)
-- 	local tPricePosTmp = ccp(120, 32)

-- 	-- 如果第1个变化情况
-- 	local nTem1 = bit.band(self.nShowLv, 2^0)
-- 	local nTem2 = bit.band(nLv, 2^0)
-- 	if bForce or nTem1 ~= nTem2 then
-- 		-- 按钮
-- 		local pBtnCost = self.pCtuiLayer:GetNodeByTag(CardPortUiTag.BtnCost1)
-- 		tolua.cast(pBtnCost, "CTMenuItem")

-- 		-- 图标
-- 		local pSpCost = self.pCtuiLayer:GetNodeByTag(CardPortUiTag.SpIconBot1_2)
-- 		tolua.cast(pSpCost, "CCSprite")

-- 		-- 文字信息
-- 		if bForce == true then
-- 			-- 文字 金币
-- 			local pLbCostNum = self.pCtuiLayer:GetNodeByTag(CardPortUiTag.LbCost1)
-- 			tolua.cast(pLbCostNum, "CCLabelTTF")
			
-- 			-- local pLbCostNum2 = self.pCtuiLayer:GetNodeByTag(CardPortUiTag.LbCost1_2)
-- 			-- tolua.cast(pLbCostNum2, "CCLabelTTF")
-- 			-- pLbCostNum2:setVisible(false)
-- 			if tKeepTime[1] <= 0 then
-- 				pLbCostNum:setPosition( tMidPosTmp )
-- 				pLbCostNum:setString("免费1次")
-- 				-- pLbCostNum2:setPosition( tMidPosTmp )
-- 				-- pLbCostNum2:setString("免费1次")
-- 			else
-- 				pLbCostNum:setPosition( tPricePosTmp )
-- 				pLbCostNum:setString("1000")
-- 				-- pLbCostNum2:setPosition( tPricePosTmp )
-- 				-- pLbCostNum2:setString("1000")
-- 			end
-- 		end

-- 		if nTem2 ~= 0 then
-- 			-- 按钮开启
-- 			pBtnCost:SetEnable(true)
-- 		else
-- 			-- 按钮关闭
-- 			pBtnCost:SetEnable(false)
-- 		end
-- 	end

-- 	-- 如果第2个变化情况
-- 	nTem1 = bit.band(self.nShowLv, 2^1)
-- 	nTem2 = bit.band(nLv, 2^1)
-- 	if bForce or nTem1 ~= nTem2 then
-- 		-- 按钮
-- 		local pBtnCost = self.pCtuiLayer:GetNodeByTag(CardPortUiTag.BtnCost2)
-- 		tolua.cast(pBtnCost, "CTMenuItem")
-- 		-- 图标
-- 		local pSpCost = self.pCtuiLayer:GetNodeByTag(CardPortUiTag.SpIconCost2)
-- 		tolua.cast(pSpCost, "CCSprite")

-- 		-- 文字信息
-- 		if bForce == true then
-- 			-- 文字
-- 			local pLbCostNum = self.pCtuiLayer:GetNodeByTag(CardPortUiTag.LbCost2)
-- 			tolua.cast(pLbCostNum, "CCLabelTTF")
-- 	-- 		local pLbCostNum2 = self.pCtuiLayer:GetNodeByTag(CardPortUiTag.LbCost2_2)
-- 	-- 		tolua.cast(pLbCostNum2, "CCLabelTTF")
-- 			if tKeepTime[2] <= 0 then
-- 				pLbCostNum:setPosition( tMidPosTmp )
-- 				pLbCostNum:setString("免费1次")
-- 				-- pLbCostNum2:setPosition( tMidPosTmp )
-- 				-- pLbCostNum2:setString("免费1次")
-- 			else
-- 				pLbCostNum:setPosition( tPricePosTmp )
-- 				pLbCostNum:setString("5000")

-- 	-- 			pLbCostNum2:setPosition( tPricePosTmp )
-- 	-- 			pLbCostNum2:setString("5000")
-- 			end
-- 		end

-- 		if nTem2 ~= 0 or tKeepTime[2] <= 0 then
-- 			-- 按钮开启
-- 			pBtnCost:SetEnable(true)
-- 		else
-- 			-- 按钮关闭
-- 			pBtnCost:SetEnable(false)
-- 		end
-- 	end

-- 	-- 如果第3个变化情况
-- 	nTem1 = bit.band(self.nShowLv, 2^2)
-- 	nTem2 = bit.band(nLv, 2^2)
-- 	if bForce or nTem1 ~= nTem2 then
-- 		-- 按钮
-- 		local pBtnCost = self.pCtuiLayer:GetNodeByTag(CardPortUiTag.BtnCost3)
-- 		tolua.cast(pBtnCost, "CTMenuItem")
-- 		-- 图标
-- 		local pSpCost = self.pCtuiLayer:GetNodeByTag(CardPortUiTag.SpIconCost3)
-- 		tolua.cast(pSpCost, "CCSprite")

-- 		-- 文字信息
-- 		if bForce == true then
-- 			-- 文字
-- 			local pLbCostNum = self.pCtuiLayer:GetNodeByTag(CardPortUiTag.LbCost3)
-- 			tolua.cast(pLbCostNum, "CCLabelTTF")
-- 	-- 		local pLbCostNum2 = self.pCtuiLayer:GetNodeByTag(CardPortUiTag.LbCost3_2)
-- 	-- 		tolua.cast(pLbCostNum2, "CCLabelTTF")
-- 			if tKeepTime[3] <= 0 then
-- 				pLbCostNum:setPosition( tMidPosTmp )
-- 				pLbCostNum:setString("免费1次")
-- 				-- pLbCostNum2:setPosition( tMidPosTmp )
-- 				-- pLbCostNum2:setString("免费1次")
-- 			else
-- 				pLbCostNum:setPosition( tPricePosTmp )
-- 				pLbCostNum:setString("30000")

-- 	-- 			pLbCostNum2:setPosition( tPricePosTmp )
-- 	-- 			pLbCostNum2:setString("30000")
-- 			end
-- 		end

-- 		if nTem2 ~= 0 or tKeepTime[3] <= 0 then
-- 			-- 按钮开启
-- 			pBtnCost:SetEnable(true)
-- 		else
-- 			-- 按钮关闭
-- 			pBtnCost:SetEnable(false)
-- 		end
-- 	end

-- 	-- 如果第4个变化情况
-- 	nTem1 = bit.band(self.nShowLv, 2^3)
-- 	nTem2 = bit.band(nLv, 2^3)
-- 	if bForce or nTem1 ~= nTem2 then
-- 		-- 按钮
-- 		local pBtnCost = self.pCtuiLayer:GetNodeByTag(CardPortUiTag.BtnCost4)
-- 		tolua.cast(pBtnCost, "CTMenuItem")
-- 		-- 图标
-- 		local pSpCost = self.pCtuiLayer:GetNodeByTag(CardPortUiTag.SpIconCost4)
-- 		tolua.cast(pSpCost, "CCSprite")
-- 		local pSpCost2 = self.pCtuiLayer:GetNodeByTag(CardPortUiTag.SpIconCost4_2)
-- 		tolua.cast(pSpCost2, "CCSprite")
-- 		-- pSpCost2:setVisible(false)
-- 		-- 货币类型
-- 		local pSpType = self.pCtuiLayer:GetNodeByTag(CardPortUiTag.SpCost4Icon)
-- 		tolua.cast(pSpType, "CCSprite")

-- 		-- local pSpType2 = self.pCtuiLayer:GetNodeByTag(CardPortUiTag.SpCost4Icon_2)
-- 		-- tolua.cast(pSpType2, "CCSprite")

-- 		-- 文字信息
-- 		if bForce == true then
-- 			-- 按钮开启
-- 			pBtnCost:SetEnable(true)
-- 		end
-- 		-- 剩余数目
-- 		local nVipFreeCnt = 0

-- 		if nTem2 ~= 0 or tKeepTime[4] <= 0 or nVipFreeCnt > 0 then
-- 			-- 文字
-- 			local pLbCostNum = self.pCtuiLayer:GetNodeByTag(CardPortUiTag.LbCost4)
-- 			tolua.cast(pLbCostNum, "CCLabelTTF")
-- 	-- 		local pLbCostNum2 = self.pCtuiLayer:GetNodeByTag(CardPortUiTag.LbCost4_2)
-- 	-- 		tolua.cast(pLbCostNum2, "CCLabelTTF")
-- 			if tKeepTime[4] <= 0 or nVipFreeCnt > 0 then
-- 				local nFreeTimeTmp = nVipFreeCnt;
-- 				if tKeepTime[4] <= 0 then
-- 					nFreeTimeTmp = nFreeTimeTmp+1;
-- 				end
-- 				pLbCostNum:setPosition( tMidPosTmp )
-- 				pLbCostNum:setString("免费"..nFreeTimeTmp.."次")
-- 				-- pLbCostNum2:setPosition( tMidPosTmp )
-- 				-- pLbCostNum2:setString("免费"..nFreeTimeTmp.."次")
-- 			else
-- 				pLbCostNum:setPosition( tPricePosTmp )
-- 				pLbCostNum:setString("80000")

-- 	-- 			pLbCostNum2:setPosition( tPricePosTmp )
-- 	-- 			pLbCostNum2:setString("80000")
-- 			end
-- 			-- 换图
-- 			-- local pIconTex = CCTextureCache:sharedTextureCache():addImage("Images/Objects/CarBig1076.png")
-- 			-- local tTexRect = CCRectMake(0, 0, pIconTex:getContentSize().width, pIconTex:getContentSize().height)
-- 			-- pSpCost:setTexture(pIconTex)
-- 			-- pSpCost:setTextureRect(tTexRect)
-- 			-- pSpCost:setScale(0.7);
-- 			-- pSpCost2:setTexture(pIconTex)
-- 			-- pSpCost2:setTextureRect(tTexRect)
-- 			-- pSpCost2:setScale(0.7);
-- 			-- 东西一样
-- 			local pTypeIcon = CCTextureCache:sharedTextureCache():addImage("Images/GX-033.png")
-- 			local pTypeTexRect = CCRectMake(0, 0, pTypeIcon:getContentSize().width, pTypeIcon:getContentSize().height)
-- 			pSpType:setTexture(pTypeIcon)
-- 			pSpType:setTextureRect(pTypeTexRect)
-- 			-- pSpType2:setTexture(pTypeIcon)
-- 			-- pSpType2:setTextureRect(pTypeTexRect)
-- 		else
-- 			-- 文字
-- 			local pLbCostNum = self.pCtuiLayer:GetNodeByTag(CardPortUiTag.LbCost4)
-- 			tolua.cast(pLbCostNum, "CCLabelTTF")
-- 			-- local pLbCostNum2 = self.pCtuiLayer:GetNodeByTag(CardPortUiTag.LbCost4_2)
-- 			-- tolua.cast(pLbCostNum2, "CCLabelTTF")
-- 			pLbCostNum:setPosition(tPricePosTmp)
-- 			pLbCostNum:setString("150")

-- 			-- pLbCostNum:setVisible(false)
-- 			-- pLbCostNum2:setString("150")
-- 			-- 换图
-- 			-- local pIconTex = CCTextureCache:sharedTextureCache():addImage("Images/JZ_Che4.png")
-- 			-- local tTexRect = CCRectMake(0, 0, pIconTex:getContentSize().width, pIconTex:getContentSize().height)
-- 			-- pSpCost:setTexture(pIconTex)
-- 			-- pSpCost:setTextureRect(tTexRect)
-- 			-- pSpCost:setScale(1);
-- 			-- pSpCost2:setTexture(pIconTex)
-- 			-- pSpCost2:setTextureRect(tTexRect)
-- 			-- pSpCost2:setScale(1);
-- 			-- 东西一样
-- 			local pTypeIcon = CCTextureCache:sharedTextureCache():addImage("Images/GX-034.png")
-- 			local pTypeTexRect = CCRectMake(0, 0, pTypeIcon:getContentSize().width, pTypeIcon:getContentSize().height)
-- 			pSpType:setTexture(pTypeIcon)
-- 			pSpType:setTextureRect(pTypeTexRect)
-- 			-- pSpType2:setTexture(pTypeIcon)
-- 			-- pSpType2:setTextureRect(pTypeTexRect)
-- 		end
-- 	end
	
-- 	self.nShowLv = nLv
-- end

-- View里面的循环使用
function ViewGetCarPort:ViewLoop( dt )
	-- 当前玩家信息
	local pCurUserInfo = DATAMGR:GetUserInfoMgr():GetUserBaseInfo()

	-- 如果钻石数目发生了变化
	if self.nCurDiamond ~= pCurUserInfo.nDiamodNum then
		local pLbDiamond = self.pCtuiLayer:GetNodeByTag( CardPortUiTag.LbDiamond )
		tolua.cast(pLbDiamond, "CCLabelTTF")
		pLbDiamond:setString(""..Public_GetNumShowType(pCurUserInfo.nDiamodNum, NumberShowType.ShortWan) )

		self.nCurDiamond = pCurUserInfo.nDiamodNum
	end

	-- 如果黄金数目发生了变化
	if self.nCurGold ~= pCurUserInfo.nGoldNum then
		local pLbGold = self.pCtuiLayer:GetNodeByTag( CardPortUiTag.LbGold )
		tolua.cast(pLbGold, "CCLabelTTF")
		pLbGold:setString("".. Public_GetNumShowType(pCurUserInfo.nGoldNum, NumberShowType.ShortWan) )

		self.nCurGold = pCurUserInfo.nGoldNum
	end
	
	-- 时间变化了
	for i,v in ipairs(pCurUserInfo.tArrFreeCardTime) do
		if self.tArrTime[i] == nil or math.ceil(v) ~= math.ceil(self.tArrTime[i]) then
			self:ShowOneCardTypeTimeChange(v, i)
		end
	end
end

-- 倒计时时间变化
function ViewGetCarPort:ShowOneCardTypeTimeChange(fTime, nIdx)

	if nIdx <= 0 or nIdx > 2 then
		return;
	end

	local tLabelTag = {
		CardPortUiTag.LbFreeTimeCar,
		CardPortUiTag.LbFreeTimeProp,
	}

	local pCurLabel = self.pCtuiLayer:GetNodeByTag( tLabelTag[nIdx] )
	tolua.cast(pCurLabel, "CCLabelTTF")

	-- 如果时间到了免费
	if math.ceil(fTime) == 0 then
		-- 图标信息
		-- pCurLabel:setString( "免费" )

		-- 车子
		if nIdx == 1 then
			if self.bIsCarFree == false then
				local tCarTag = {
					CardPortUiTag.LbPayOneCar1,
					CardPortUiTag.LbPayOneCar2,
				}
				for i,v in ipairs(tCarTag) do
					local pBtnWord = self.pCtuiLayer:GetNodeByTag( tCarTag[i] )
					tolua.cast(pBtnWord, "CCLabelTTF")
					pBtnWord:setString("免费")
				end
			end
			self.bIsCarFree = true;
		else
			if self.bIsEquipFree == false then
				local tCarTag = {
					CardPortUiTag.LbPayOneProp1,
					CardPortUiTag.LbPayOneProp2,
				}
				for i,v in ipairs(tCarTag) do
					local pBtnWord = self.pCtuiLayer:GetNodeByTag( tCarTag[i] )
					tolua.cast(pBtnWord, "CCLabelTTF")
					pBtnWord:setString("免费")
				end
			end
			self.bIsEquipFree = true;
		end

		pCurLabel:setVisible(false)
		
	-- 如果只是时间变化
	else
		pCurLabel:setVisible(true)
		pCurLabel:setString( Public_ChangeToTimeFormat( math.ceil(fTime) ).." 后免费" )

		-- 车子
		if nIdx == 1 then
			if self.bIsCarFree == true then
				local tCarTag = {
					CardPortUiTag.LbPayOneCar1,
					CardPortUiTag.LbPayOneCar2,
				}
				for i,v in ipairs(tCarTag) do
					local pBtnWord = self.pCtuiLayer:GetNodeByTag( tCarTag[i] )
					tolua.cast(pBtnWord, "CCLabelTTF")
					pBtnWord:setString("购买1个")
				end
			end
			self.bIsCarFree = false;
		else
			if self.bIsEquipFree == true then
				local tCarTag = {
					CardPortUiTag.LbPayOneProp1,
					CardPortUiTag.LbPayOneProp2,
				}
				for i,v in ipairs(tCarTag) do
					local pBtnWord = self.pCtuiLayer:GetNodeByTag( tCarTag[i] )
					tolua.cast(pBtnWord, "CCLabelTTF")
					pBtnWord:setString("购买1个")
				end
			end
			self.bIsEquipFree = false;
		end
	end

	-- 将时间记录下来
	self.tArrTime[nIdx] = fTime;
end

-- mark: ============== 界面按钮回调 ================
function ViewGetCarPort:CTUIButtonCallBack(pUiLayer, pMenuItem, nTag)
	-- 播放点击按钮声音
    SOUNDMGR:PlayEffClickButton()

    local tUserBaseInfo = DATAMGR:GetUserInfoMgr():GetUserBaseInfo()

    local bIsShowLowGold = false;

    -- 关闭
    if nTag == CardPortUiTag.BtnClose then
    	self:CloseView()
    	-- 下一个教学
		TEACHMGR:ShowSwichToNextStep();
	-- -- 百万连抽
	-- elseif nTag == CardPortUiTag.BtnMilGet then
	-- 	-- DIALOGMGR:ShowToast("达到vip4才能使用该功能哦！")
	-- 金币单抽车碎片。
	elseif nTag == CardPortUiTag.BtnBuyOneCar then
		-- 背包满的处理
		if DATAMGR:GetUserInfoMgr():IsPlayerBagFull() == true then
			DIALOGMGR:ShowDialog(DLGTYPE.BagIsFull)
			return;
		end
		-- 保持时间
		local tKeepTime = DATAMGR:GetUserInfoMgr():GetUserBaseInfo().tArrFreeCardTime
		-- 黄金不足
		if tUserBaseInfo.nGoldNum < 30000 and tKeepTime[1]>0 then
			bIsShowLowGold = true;
		else
			self:SendGetCard(0, 1)
		end
	-- 金币10连抽车碎片
	elseif nTag == CardPortUiTag.BtnBuyTenCar then
		-- 背包满的处理
		if DATAMGR:GetUserInfoMgr():IsPlayerBagFull() == true then
			DIALOGMGR:ShowDialog(DLGTYPE.BagIsFull)
			return;
		end
		-- 黄金不足
		if tUserBaseInfo.nGoldNum < 300000 then
			bIsShowLowGold = true;
		else
			self:SendGetCard(1, 1)
		end
	-- 金币单抽配件碎片
	elseif nTag == CardPortUiTag.BtnBuyOneProp then
		-- 背包满的处理
		if DATAMGR:GetUserInfoMgr():IsPlayerBagFull() == true then
			DIALOGMGR:ShowDialog(DLGTYPE.BagIsFull)
			return;
		end
		-- 保持时间
		local tKeepTime = DATAMGR:GetUserInfoMgr():GetUserBaseInfo().tArrFreeCardTime
		-- 黄金不足
		if tUserBaseInfo.nGoldNum < 30000 and tKeepTime[2]>0 then
			bIsShowLowGold = true;
		else
			self:SendGetCard(0, 0)
		end
	-- 金币10连抽配件碎片
	elseif nTag == CardPortUiTag.BtnBuyTenProp then
		-- 背包满的处理
		if DATAMGR:GetUserInfoMgr():IsPlayerBagFull() == true then
			DIALOGMGR:ShowDialog(DLGTYPE.BagIsFull)
			return;
		end
		
		-- 黄金不足
		if tUserBaseInfo.nGoldNum < 300000 then
			bIsShowLowGold = true;
		else
			self:SendGetCard(1, 0)
		end
    else
    	DIALOGMGR:ShowToast("敬请期待！！！！")
    end
    -- 金币少
    if bIsShowLowGold then
    	local ViewQuickUseItem = requires(ROOT_PATH, "app/GameLg/Lobby/Others/ViewQuickUseItem")
		GameViewMgr:shareMgr():ShowChildViewWithInfo(GameViewType.QuickUserItem, ViewQuickUseItem:QuickUseType().Gold)
    end
end

-- -- 显示添加一个表格到列表中 self.tCarList
-- function ViewGetCarPort:ShowOneCardToList(nItemID, nStartLv)
-- 	local tItemInfo = DATAMGR:GetItemInfoMgr():GetItemInfoByID(nItemID)
-- 	-- 汽车指甲标题
-- 	local pSpNotice = self.pCtuiLayer:GetNodeByTag(CardPortUiTag.SpNoticeWord)
-- 	local tPosSp = ccp(0, ctspbound(pSpNotice).origin.y - 55);

-- 	-- 开始抽卡的位置
-- 	local pSpIcon
-- 	if nStartLv == 0 then
-- 		pSpIcon = self.pCtuiLayer:GetNodeByTag(CardPortUiTag.SpIconCost1)
-- 	elseif nStartLv == 1 then
-- 		pSpIcon = self.pCtuiLayer:GetNodeByTag(CardPortUiTag.SpIconCost2)
-- 	elseif nStartLv == 2 then
-- 		pSpIcon = self.pCtuiLayer:GetNodeByTag(CardPortUiTag.SpIconCost3)
-- 	else
-- 		pSpIcon = self.pCtuiLayer:GetNodeByTag(CardPortUiTag.SpIconCost4)
-- 	end

-- 	local tStartPos1 = pSpIcon:getParent():convertToWorldSpace(pSpIcon:getPositionInCCPoint())
-- 	tStartPos1 = self.pLyMoveLayer:convertToNodeSpace(tStartPos1)

-- 	local tEndPos1 = pSpNotice:getParent():convertToWorldSpace(tPosSp)
-- 	tEndPos1 = self.pLyMoveLayer:convertToNodeSpace(tEndPos1)

-- 	 -- tag: ItemBg = 19
-- 	local pSpItemBg = self.pCtuiLayer:ReCreateUiNode(CardPortUiTag.CellCarBg, false, CardPortUiTag.CellCarBg, 0, UiNotShowEnd)
-- 	local pSpItemBg1 = self.pCtuiLayer:GetNodeByTag(CardPortUiTag.CellCarBg)
-- 	local x = pSpItemBg1:getPositionX()
-- 	local y = pSpItemBg1:getPositionY()
-- 	pSpItemBg:setPosition(tStartPos1)
-- 	 self.pLyMoveLayer:addChild(pSpItemBg)


-- 	-- CarIcon
-- 	local pSpCarIcon = pSpItemBg:getChildByTag(CardPortUiTag.SpCarIcon)
-- 	tolua.cast(pSpCarIcon, "CCSprite")
-- 	local pSpTemCar = DATAMGR:GetItemInfoMgr():GetCarSmallImageSpriteByID(nItemID)
--  	pSpCarIcon:setTexture(pSpTemCar:getTexture())

--  	-- Car Lv
--  	local pSpCarLv = pSpItemBg:getChildByTag(CardPortUiTag.LbCarStar)
--  	tolua.cast(pSpCarLv, "CCSprite")
 	
--  	local pStarTex, pStarBot, pTexTmp = SHARE_FUNC:GetCardRelateTextureByStar(tItemInfo.strStar)
--  	pSpCarLv:setTexture(pStarTex)

-- 	-- 滑动处理
-- 	local tDeiveType = GetCurrentDeviceType();
-- 	-- 滑动显示个数
-- 	local nCount = 3
-- 	-- 滑动cell位置
-- 	local nPosx = 70
-- 	local nPosy = 160
-- 	-- ipad
-- 	 if tDeiveType == CTDeviceTypeIpad or tDeiveType == CTDeviceTypeIpadHD then
-- 	 	nCount = 4
-- 	 	nPosx = 60
-- 	-- iphone
-- 	 elseif tDeiveType == CTDeviceTypeIphoneHD then
-- 	 	nPosy = 140
-- 	 -- 5s
-- 	 else
-- 	 	nPosy = 200
-- 	 end

-- 	local pMovePos = ccp((-150) * self.nCarListCount + nPosx, tEndPos1.y - nPosy)
-- 	local fMoveCardT = ccpDistance(tStartPos1, pMovePos) / 3000.0
-- 	local pMoveAct = CCMoveTo:create(fMoveCardT, pMovePos)
-- 	local pRotAct = CCRotateBy:create(fMoveCardT, 720)
-- 	pSpItemBg:runAction(CCSpawn:createWithTwoActions(pMoveAct, pRotAct))

-- 	-- 总数变成1
-- 	self.nCarListCount = self.nCarListCount+1
-- 	-- 滑动过去
-- 	local pTargetPos = ccp(150*self.nCarListCount, self.pLyMoveLayer:getPositionY())
-- 	local pDis = ccpDistance(self.pLyMoveLayer:getPositionInCCPoint(), pTargetPos)
-- 	self.pLyMoveLayer:stopAllActions()
-- 	self.pLyMoveLayer:runAction(CCMoveTo:create(pDis/1000.0, pTargetPos))

-- 	-- 添加到数组管理
-- 	self.tCarList[ #self.tCarList + 1 ] = pSpItemBg
-- 	-- 不会显示超过10个
-- 	if #self.tCarList > nCount then
-- 		local pBottom = self.tCarList[1]
-- 		pBottom:removeFromParent()
-- 		-- 删除第一个
-- 		table.remove(self.tCarList, 1)
-- 	end
-- end

-- 发送数据, 
function ViewGetCarPort:SendGetCard(nIdx, nGetCarPiece)
	-- 发送装备信息
	local tLuaData = {}
	tLuaData.idx = nIdx
	tLuaData.car = nGetCarPiece
	-- 发送数据
	SHARE_FUNC.NoticeMainLogicSendMsg(CTONCMD.GetCarFromBuilding, tLuaData)
end

-- 获取得到的卡牌碎片。
function ViewGetCarPort:ReceiveGetCard( tBagList )
	-- -- 如果是第四个，则有转盘
	-- if nLv >= 3 then
	-- 	self.pItemScroll:StartShowScroll(nItemID)
	-- 	-- 钻石
	-- 	if nLv == 4 then
	-- 		local nTmp = DATAMGR:GetUserInfoMgr():GetUserBaseInfo().nDiamondCarPort;
	-- 		DATAMGR:GetUserInfoMgr():GetUserBaseInfo().nDiamondCarPort = nTmp+1
	-- 		-- 去掉标记
	-- 		local pLbFlag1 = self.pCtuiLayer:GetNodeByTag(CardPortUiTag.LbDiamondCarFlag)
	-- 		if pLbFlag1 then
	-- 			pLbFlag1:setVisible(false)
	-- 		end
	-- 	end
	-- else
	-- 	-- 下一个教学
	-- 	TEACHMGR:ShowSwichToNextStep();
	-- 	--
	-- 	NEW_ITEM_MGR:JudgeShowBigEffectCard(nItemID, 0)
	-- end
	
	-- self:ReshowUnlockLevel(nNextLv, true, true)

	-- self:ShowOneCardToList(nItemID, nLv)

	-- 显示物品。
	self:initViewTableGet(tBagList)
end

-- mark: ============== 收取物品界面的管理 ================
-- 显示抽取物品界面
function ViewGetCarPort:initViewTableGet( tRewardList )
	local pView = GameViewMgr:shareMgr():ShowChildViewWithInfo(GameViewType.TableTenGet)
	local tItemList = {}
	local tIdxList = {}
	for i,tBagItem in ipairs(tRewardList) do
		local tOneItem = {}
		tOneItem.itemId = tBagItem.nID
		tOneItem.itemCnt = tBagItem.nAddCount
		tOneItem.nSmallType = tBagItem.nSmallType
		-- print("itemId: , itemCnt, type,", tOneItem.itemId, tOneItem.itemCnt, tOneItem.nSmallType)

		tItemList[#tItemList+1] = tOneItem
		tIdxList[#tIdxList+1] = #tItemList-1
	end
	pView:initWithItemIdxList(tIdxList, tItemList)
end

-- mark: ============== 触控的管理 ================
-- 开始触控
function ViewGetCarPort:ViewTouchBegan(tLocation, nCount)
	-- if self.pItemScroll:IsShowScroll() == true then
	-- 	return
	-- end
	self.pCtuiLayer:CTUITouchBegan(tLocation)
end

-- 触控移动
function ViewGetCarPort:ViewTouchMoved(tLocation, tPrevPos, tBeganPos)
	-- if self.pItemScroll:IsShowScroll() == true then
	-- 	return
	-- end
	self.pCtuiLayer:CTUITouchMoved(tLocation)
end

-- 触控结束
function ViewGetCarPort:ViewTouchEnded(tLocation, tPrevPos, tBeganPos)
	-- if self.pItemScroll:IsShowScroll() == true then
	-- 	self.pItemScroll:RemoveScrollView()
	-- 	return
	-- end
	self.pCtuiLayer:CTUITouchEnded(tLocation)
end

return ViewGetCarPort