-- 用户升级奖励
-- Author: Xu sheng
-- Date: 2014-06-17 15:36:58
-- 还遗留滑动的问题 需要解决
-- 基础视图
local GameView = requires(ROOT_PATH, "app/GameLg/Lobby/Others/GameView")
-- 升级奖励
local ViewUpgradeReward = class("ViewUpgradeReward", GameView)


-- UpgradeRewardUITag
local UpgradeTabTag = {

    RewardHaoli		 = 0,      -- 等级好礼
    RewardClose      = 4,      -- 等级关闭

	RewardBg 		 = 7,      -- 等级地板背景
	RewardLevel      = 9,      -- 等级
	
	RewardOneImg     = 10,      -- 好礼物品1图片
	RewardOneBelLv   = 12,      -- 好礼物品倍数
	RewardOneName    = 13,      -- 好礼物品名称

	RewardTwoImg     = 14,      -- 好礼物品2图片
	RewardTwoBelLv   = 16,     -- 好礼物品倍数
	RewardTwoName	 = 17,     -- 好礼物品名称

	RewardThreeImg   = 18,     -- 好礼物品3图片
	RewardThreeBelLv = 20,     -- 好礼物品倍数
	RewardThreeName  = 21,     -- 好礼物品名称
    RewardHasGet     = 22,     -- 好礼已领取

    RewardCurLv		 = 2 ,	   -- 用户当前等级
    RewardBag		 = 1 ,	   -- 等级礼包中间
    RewardBag1		 = 11,     -- 等级礼包左边
    RewardBag2		 = 111,     -- 等级礼包左边


}

-- 好礼数据
local tRewadrData = {}

-- 记录点击当前item是第几个
local nItemNumber = 0
-- 定义当前用户等级变量
local nUseCurLevel = 1
-- 0:已经领取  1:可领取 2:未解锁
local tRewardState = {}
-- 构造函数
function ViewUpgradeReward:ctor()
	-- self.tRewadrData = {}

	self.nTotalItem = 0;
	-- 调用父初始化
	self.super.ctor(self)
	-- 当前索引
	self.nCurIndex = -1
	-- 上一次索引
	self.lastIndex = -1

	self.pItem = nil
	-- 记录item 
	self.nCurItem = -1
	-- 中心
	self.fCenterX = 0
	-- 保存显示的item
	self.tSaveItem = {}
	-- 获取显示的标记
	self.showFalg = false
	-- 设备标记   ipad: 1 iphone5: 2
	self.DeviceFlag = 0
	-- 控制等级移动标记
	self.LvMoveFlag = false
	-- 控制礼包等级移动标记
	self.BagLvMoveFlag = false
	-- 当前开始滑动的索引
	self.CurStartIndex = 0
	-- 等级开始移动标记（礼包移动结束之后)
 	self.LevStartMove = false
 	-- 礼包等级开始移动标记（等级移动结束之后)
 	self.BagLevStartMove = false
 	-- 判断当前是否是服务器发来等级礼包数据
 	self.bGetServData = nil 

	self.tScale = {
		UpgradeTabTag.RewardOneBelLv ,
		UpgradeTabTag.RewardTwoBelLv ,
		UpgradeTabTag.RewardThreeBelLv, 
	}


	-- 地板的图片
	self:ShowViewBg()
	-- 当前界面
	self.pCtuiLayer = CTUILayer:new();
	self.pCtuiLayer:InitWithFile(Public_GetResPathByKey("Images/haoli.ctui"))
	self.pCtuiLayer:setAnchorPoint(ccp(0, 1))
	self.pCtuiLayer:setPosition(ctprccp(0, 	1))
	self.pCtuiLayer:ignoreAnchorPointForPosition(false)
	self.pCtuiLayer:SetUiScaleType(CTUIScaleType_Base_Width)
	self.pCtuiLayer:ShowAllUiInfo()
	self:addChild(self.pCtuiLayer)
	-- 读取好礼数据与用户当前等级
	self:getRewardData()

	
	-- 添加左右两个礼包
	local pOtherTmp = self.pCtuiLayer:GetNodeByTag(UpgradeTabTag.RewardBag)
	pOtherTmp:setVisible(false)
	-- 按钮关闭事件  设置相对应的响应事件即可  这是ctui文件里面button响应事件  直接使用
    self.pCtuiLayer:setDelegateLua(function(event)
	-- 如果是按钮点击事件
		if event.cbType == "btnCb" then
			self:CTUIButtonCallBack(event.Layer, event.Btn, event.Tag)
		end
	end)
	self.pCtuiLayer:release()

  	-- 获取好礼背景tag
	local pRwadrBg= self.pCtuiLayer:GetNodeByTag(UpgradeTabTag.RewardBg)
	local tPos1 = pRwadrBg:getParent():convertToNodeSpace(ccp(0, 0))
	local tPos2 = pRwadrBg:getParent():convertToNodeSpace(ctprccp(1, 1))
	local fConWidth = tPos2.x - tPos1.x - ctipwidth(0)
	local tCurPos = pRwadrBg:getPositionInCCPoint()
	tCurPos.x = tCurPos.x- 10
	
  	-- ipad 按分辨率
   	local nWidth = 500
   	local tOneCenter
   	-- 修改好礼标题图片
   	local pHaoliTitle = self.pCtuiLayer:GetNodeByTag(UpgradeTabTag.RewardHaoli)
    tolua.cast(pHaoliTitle, "CCSprite")

	tOneCenter = self.pCtuiLayer:convertToNodeSpace( ctprccp(0.5, 0.41) )
    if SHARE_FUNC.nFrameType == CTDeviceTypeIpad or SHARE_FUNC.nFrameType == CTDeviceTypeIpadHD then
    	self.DeviceFlag = 1
     	pHaoliTitle:setPositionY( pHaoliTitle:getPositionY() + 20)
    else
    	if SHARE_FUNC.nFrameType == CTDeviceTypeIphone5HD  then
     -- 		pHaoliTitle:setPosition(ctprccp(0.6,  0.8))
     		self.DeviceFlag = 2
     		nWidth = 345
     	else
     		self.DeviceFlag = 0
     		nWidth = 390
     	end
    end
	-- 可以触发点击好礼信息的操作
	self.tRewardRect = {}
	self.tRewardRect[1] = CCRectMake(ctipwidth(250), ctprheight(0.5)-ctipwidth(360), ctipwidth(268), ctipwidth(720))
	self.nCarTouchType = 0 -- 0是没有触控，1是开始触控，2是有了滑动
	
 	-- 不显示ctui文件中的背景layer  避免重复显示 
 	self.pCtuiLayer:SetCTUINodeVisiable(UpgradeTabTag.RewardBg, false)
	-- 显示信息
	self.pCtCarScroll = CTScrollCenter:new();
	-- 设置tbale的大小  tOneCenter在Scroll中的位置 i4: 500 ipad:500
	self.pCtCarScroll:init(CCSizeMake(fConWidth * 2, 700), tOneCenter, CCSizeMake(fConWidth - nWidth, 700), self.nTotalItem)
	self.pCtCarScroll:SetDelegateLua(function(event)
		-- 显示信息
		if event.type == "showItem" then
			self:ScrollItemContent(event.scroll, event.item, event.Idx)
		-- 滑动结束 
		elseif event.type == "DidStop" then
			self:ScrollItemDidStopInCenter(event.scroll, event.item, event.Idx)
		elseif event.type == "StartMove" then
			self:ScrollStartMove(event.scroll)
		end
	end)
	self.pCtCarScroll:SetDelSpeedValue(2450.0)
	self.pCtCarScroll:SetMaxMoveSpeed(6000.0)
	self.pCtCarScroll:SetSpeedRate(18)
	self.pCtuiLayer:addChild(self.pCtCarScroll, 1)
	self.pCtCarScroll:release()
	-- pRwadrBg:removeFromParent()
	-- 创建礼包等级

	-- local ViewUpgradeBagLv = requires(ROOT_PATH, "app/GameLg/Lobby/Others/ViewUpgradeBagLv")
	-- self.pUpgradeBagLv = ViewUpgradeBagLv.new()
 --    self.pUpgradeBagLv:InitInfo(self, self.pCtuiLayer, fConWidth, self.nTotalItem)
 --    self:addChild(self.pUpgradeBagLv, 2)

 	self.BagCenter = self.pCtuiLayer:convertToNodeSpace( ctprccp(0.5, 0.77) )
	self.pCtBagScroll = CTScrollCenter:new();
	self.pCtBagScroll:init(CCSizeMake(3*131, 300), self.BagCenter, CCSizeMake(131, 300), self.nTotalItem)
	self.pCtBagScroll:SetDelegateLua(function(event)
		-- 显示信息
		if event.type == "showItem" then
			self:ScrollItemContent(event.scroll, event.item, event.Idx)
		-- 滑动结束 
		elseif event.type == "DidStop" then
			self:ScrollItemDidStopInCenter(event.scroll, event.item, event.Idx)
		elseif event.type == "StartMove" then
			self:ScrollStartMove(event.scroll)
		end
	end)
	self.pCtBagScroll:SetDelSpeedValue(2450.0)
	self.pCtBagScroll:SetMaxMoveSpeed(6000.0)
	self.pCtBagScroll:SetSpeedRate(18)
	self.pCtuiLayer:addChild(self.pCtBagScroll, 2)
	self.pCtBagScroll:release()

	self.pCtBagScroll:ShowScrollByCenterIndex(0)
end


-- 初始化数据显示
function ViewUpgradeReward:InitViewWithData(tDataList)
	self.bGetServData = tDataList[1]
	local nLv = tDataList[1] or 6;

	local nIdx = math.floor( nLv / 5 )
	if nIdx >= self.nTotalItem then
		nIdx = self.nTotalItem-1;
	end
	-- 显示item
	self.pCtCarScroll:ShowScrollByCenterIndex(nIdx - 1)
end

-- 更新等级礼包级数
function ViewUpgradeReward:UpdateBagLv(object1, object2, nIdx)
	
	local tObject = {object1, object2}
	local pOtherTmp
	local tOtherScore
	for i = 1, 3 do 
		if i == 3 then 
			pOtherTmp = self.pCtuiLayer:GetNodeByTag(UpgradeTabTag.RewardCurLv)
		else
			pOtherTmp = tObject[i]:getChildByTag(UpgradeTabTag.RewardCurLv)
		end
		tOtherScore = CTImgLabel:new()
		tOtherScore:InitLabel(""..tRewadrData[nIdx + 1].level, Public_GetResPathByKey("Images/Font/HaoLiShuZi.json"), 26)
		tOtherScore:setFontSize(24)
		tOtherScore:setPosition(pOtherTmp:getPositionInCCPoint())
		pOtherTmp:getParent():addChild(tOtherScore, 0, UpgradeTabTag.RewardCurLv)
		pOtherTmp:removeFromParent()
	    tOtherScore:release()
	end
end


-- 读取等级奖励数据与用户当前等级
function ViewUpgradeReward:getRewardData()
    local strLevelRewardInfo = DATAMGR:LoadOneDataFileAndJudgeIsChange("Images/StaticDatas/Activity.json")
	local tTemList = json.decode(strLevelRewardInfo)
	-- 添加奖励数据
    for i, tItem in ipairs(tTemList.upgradeAct.rewards) do
    	local tOneInfo = {}
    	tOneInfo.idx = tItem[1]
    	tOneInfo.level = tItem[2]
    	tOneInfo.itemID1 = tItem[3][1][1]
    	tOneInfo.itemCount1 = tItem[3][1][2]
    	tOneInfo.itemID2 = tItem[3][2][1]
    	tOneInfo.itemCount2 = tItem[3][2][2]
    	tOneInfo.itemID3 = tItem[3][3][1]
    	tOneInfo.itemCount3 = tItem[3][3][2]

    	tRewadrData[i] = tOneInfo	
    	self.nTotalItem = i

    end
    -- 当前用户等级
    nUseCurLevel = DATAMGR:GetUserInfoMgr():GetUserBaseInfo().nLv
	
end

-- 收到升级奖励数据 显示UI
function ViewUpgradeReward:ReceiveUpgradeReward(tRewardData, nIdx)
	local tShowInfos = {}
	-- 显示获取得到新物品
	for i, tBagItem in pairs(tRewardData) do
		if tShowInfos[tBagItem.nID] == nil then
			tShowInfos[tBagItem.nID] = tBagItem.nAddCount;
		else
			tShowInfos[tBagItem.nID] = tShowInfos[tBagItem.nID] + tBagItem.nAddCount;
		end
	end

	for k,v in pairs(tShowInfos) do
		-- k:物品id  v:物品个数  弹出提示对话框
		NEW_ITEM_MGR:ShowAddOneItem(k, v)
	end
	-- 设置显示已经领取标记 重新现实对应nIdx的item
	self.pCtCarScroll:ReShowCenterIndex(nIdx)
end


-- 关闭按钮 
function ViewUpgradeReward:CTUIButtonCallBack(pUiLayer, pMenuItem, nTag)
	-- 播放点击按钮声音
    SOUNDMGR:PlayEffClickButton()
    -- 查看信息
	if pUiLayer == self.pCtuiLayer then
		if nTag == UpgradeTabTag.RewardClose then
			self:CloseView()
		else
			DIALOGMGR:ShowToast("功能未开启！")
		end
	end
end

-- 释放之前调用的
function ViewUpgradeReward:BeforeReleaseView()
	self.pSpBag1 = nil
	self.pSpBag2 = nil
end


-- View里面的循环使用  主循环
function ViewUpgradeReward:ViewLoop( dt )
	-- 等级
	if self.pCtCarScroll then 
		self.pCtCarScroll:UpdateScoll(dt)
		self:ShareScrollMethod(self.pCtCarScroll)
		if self.LevStartMove then 
			self.LevStartMove = false
			self.pCtCarScroll:ShowScrollToIndex(self.CurStartIndex)
		end
	end

	-- 礼包等级
	if self.pCtBagScroll then 
		self.pCtBagScroll:UpdateScoll(dt)
		self:ShareScrollMethod(self.pCtBagScroll)
		if self.BagLevStartMove then 
			self.BagLevStartMove = false 
			-- self.pCtBagScroll:ShowScrollToIndex(3)
		end
	end
end


-- 移动变化公用方法
function ViewUpgradeReward:ShareScrollMethod( pObject )
	if self.nTotalItem ~= 0  and self.showFalg == false then 
			for i = 0, self.nTotalItem - 1 do 
				-- 获取显示的item self.tSaveItem
				local temItem = pObject:GetItemByIndex(i)
				if temItem then 
					self.tSaveItem[#self.tSaveItem + 1] = temItem
				end

				if i == (self.nTotalItem - 1) then 
					self.showFalg = true
				end
			end
		end

		if self.showFalg then 
			for i, pItem in ipairs(self.tSaveItem) do 
				if pItem then 
					-- 游戏的绝对坐标
					local tPos1 = pItem:convertToWorldSpace( ctspccp(pItem, 0.5, 0.5) )
					-- 如果是中间显示
					 local nIdx = pObject:GetCenterItem():GetIdx()
					 local fCoor = 1
					 -- 5s
					 if self.DeviceFlag == 2 then 
					 	fCoor  = 0.98
					 end

					 pItem:setScale( fCoor - math.abs( display.cx-tPos1.x ) / (display.width))
				end
				
				-- 重新设置为空
				if i == #self.tSaveItem then 
					self.showFalg = false
					self.tSaveItem = {}
				end
			end

		end
end


-- mark: ============== 按钮的回调 ================
-- 显示item的内容
function ViewUpgradeReward:ScrollItemContent( pScroll, pItem, nIdx )
	-- 添加礼包item
	if pScroll == self.pCtBagScroll then 
		local pItemOne = self.pCtuiLayer:ReCreateUiNode(UpgradeTabTag.RewardBag, false, UpgradeTabTag.RewardBag, 0, UiNotShowEnd)
	    local imgSize = pItemOne:getContentSize();
	    pItemOne:setPosition( ccp(0, 0) )
	    -- 只有先添加才会存在找子节点
	    pItem:addChild(pItemOne)
	    -- 背包等级
	    local pOtherTmp = pItem:GetChildNodeByTag(UpgradeTabTag.RewardCurLv)
	    local tOtherScore = CTImgLabel:new()
		tOtherScore:InitLabel(""..tRewadrData[nIdx + 1].level, Public_GetResPathByKey("Images/Font/HaoLiShuZi.json"), 26)
		tOtherScore:setFontSize(24)
		tOtherScore:setPosition(pOtherTmp:getPositionInCCPoint())
		pOtherTmp:getParent():addChild(tOtherScore, 0, UpgradeTabTag.RewardCurLv)
		pOtherTmp:removeFromParent()
	    tOtherScore:release()

	-- 添加等级level
	else
		local pItemOne = self.pCtuiLayer:ReCreateUiNode(UpgradeTabTag.RewardBg, false, UpgradeTabTag.RewardBg, 0, UiNotShowEnd)
	    local imgSize = pItemOne:getContentSize();
	    -- pItemOne:setAnchorPoint(ccp(1, 1))
	    pItemOne:setPosition( ccp(0, 0) )
	    -- 只有先添加才会存在找子节点
	    pItem:addChild(pItemOne)

	    -- ipad 按分辨率
	    if self.DeviceFlag == 1 then
	    	-- pItemOne:setScale(0.94)
	    else
	    	
	    end

	    -- 倍数显示
	    for i,nOneTag in ipairs(self.tScale) do
			local pOtherTmp = pItem:GetChildNodeByTag(nOneTag)
			local tOtherScore = CTImgLabel:new()
			tOtherScore:InitLabel("0", Public_GetResPathByKey("Images/Font/HaoLiBeiShuZi.json"), 30)
			-- tOtherScore:setAnchorPoint( ccp(1.0, 0.5) )
			tOtherScore:setPosition(pOtherTmp:getPositionInCCPoint())
			pOtherTmp:getParent():addChild(tOtherScore, 0, nOneTag)
			pOtherTmp:removeFromParent()
			tOtherScore:release()
		end

	    -- 等级显示
	    local pOtherTmp = pItem:GetChildNodeByTag(UpgradeTabTag.RewardLevel)
		local tOtherScore = CTImgLabel:new()
		tOtherScore:InitLabel(""..tRewadrData[nIdx + 1].level, Public_GetResPathByKey("Images/Font/HaoLiShuZi.json"), 50)
		tOtherScore:setPosition(pOtherTmp:getPositionInCCPoint())
		pOtherTmp:getParent():addChild(tOtherScore, 0, UpgradeTabTag.RewardLevel)
		pOtherTmp:removeFromParent()
		tOtherScore:release()

		-- 奖励item1名称 
	    local pRewardOnetName = pItem:GetChildNodeByTag( UpgradeTabTag.RewardOneName )       
	    tolua.cast(pRewardOnetName, "CCLabelTTF")
	    local tItem1 = DATAMGR:GetItemInfoMgr():GetItemInfoByID(tRewadrData[nIdx + 1].itemID1)
	    pRewardOnetName:setString(tItem1.strName)
		-- 奖励item1物品图片  
	    local pSpItem1 = pItem:GetChildNodeByTag(UpgradeTabTag.RewardOneImg)     
	    tolua.cast(pSpItem1, "CCSprite")
	    local pIconFrame1 = DATAMGR:GetItemInfoMgr():GetItemIconNameByID(tRewadrData[nIdx + 1].itemID1)
	    pSpItem1:setDisplayFrame(pIconFrame1)

	    -- 奖励item1数量 
	    local pRewardOneBeiLv = pItem:GetChildNodeByTag(UpgradeTabTag.RewardOneBelLv )      
	    tolua.cast(pRewardOneBeiLv, "CTImgLabel")
	    pRewardOneBeiLv:setString(tRewadrData[nIdx + 1].itemCount1)
	   
	   	-- 奖励item2名称 13 
	    local pRewardTwoName = pItem:GetChildNodeByTag(UpgradeTabTag.RewardTwoName)       
	    tolua.cast(pRewardTwoName, "CCLabelTTF")
	    local tItem2 = DATAMGR:GetItemInfoMgr():GetItemInfoByID(tRewadrData[nIdx + 1].itemID2)
	    pRewardTwoName:setString(tItem2.strName)

	 	-- -- 奖励item2物品图片 
	    local pSpItem2 = pItem:GetChildNodeByTag(UpgradeTabTag.RewardTwoImg)     
	    tolua.cast(pSpItem2, "CCSprite")
	    local pIconFrame2 = DATAMGR:GetItemInfoMgr():GetItemIconNameByID(tRewadrData[nIdx + 1].itemID2)
	    pSpItem2:setDisplayFrame(pIconFrame2)
	  --   -- 奖励item2数量
	    local pRewardTwoBeiLv = pItem:GetChildNodeByTag(UpgradeTabTag.RewardTwoBelLv)      
	    tolua.cast(pRewardTwoBeiLv, "CTImgLabel")
	    pRewardTwoBeiLv:setString(tRewadrData[nIdx + 1].itemCount2)

	  --   -- 奖励item3名称
	    local pRewardThreeName = pItem:GetChildNodeByTag(UpgradeTabTag.RewardThreeName)       
	    tolua.cast(pRewardThreeName, "CCLabelTTF")
	    local tItem3 = DATAMGR:GetItemInfoMgr():GetItemInfoByID(tRewadrData[nIdx + 1].itemID3)
	    pRewardThreeName:setString(tItem3.strName)
	 	-- -- 奖励item3物品图片 
	    local pSpItem3 = pItem:GetChildNodeByTag(UpgradeTabTag.RewardThreeImg)     
	    tolua.cast(pSpItem3, "CCSprite")
	    local pIconFrame3 = DATAMGR:GetItemInfoMgr():GetItemIconNameByID(tRewadrData[nIdx + 1].itemID3)
	    pSpItem3:setDisplayFrame(pIconFrame3)
	  --   -- 奖励item3数量
	    local pRewardThreeBeiLv = pItem:GetChildNodeByTag(UpgradeTabTag.RewardThreeBelLv)      
	    tolua.cast(pRewardThreeBeiLv, "CTImgLabel")
	    pRewardThreeBeiLv:setString(tRewadrData[nIdx + 1].itemCount3)
	  --   -- 是否领取
	    local pSpGuanBiSuo = CCSprite:create("Images/HL-007.png")
	    local pGetReward = pItem:GetChildNodeByTag(UpgradeTabTag.RewardHasGet)
	    
	    if tRewadrData[nIdx + 1].level > nUseCurLevel then
	    	-- 未解锁
	   		tRewardState[nIdx + 1] = 2

	   		pGetReward:setVisible(false)
	   		tolua.cast(pItemOne, "CCSprite")
	    	SHARE_FUNC.SetNodeCascadeColorAndOpacityEnabled(pItemOne, true, nil)

	    	pItemOne:setColor(ccc3(120, 120, 120))
	    	pSpGuanBiSuo:setScale(1.5)
	    	pSpGuanBiSuo:setPosition(-10, 20)
			pItem:addChild(pSpGuanBiSuo)
	    else
	   		if  DATA_USER:GetIsGiftRewardReceiveByIdx(nIdx + 1) then
	   			-- 已领取
	   			tRewardState[nIdx + 1] = 0
	   			pGetReward:setVisible(true)
	   		else
	 			-- 未领取
	 			tRewardState[nIdx + 1] = 1
	 			pGetReward:setVisible(false)
	   		end
	    end
	    -- 用户没有领取等级礼包
	    if self.bGetServData == nil then 
	    	if nIdx == 0 then 
		    	pItem:setZOrder(1)
		    elseif nIdx == 1  then 
		    	SHARE_FUNC.SetNodeCascadeColorAndOpacityEnabled(pItem, true, nil)
		    	pItem:setColor(ccc3(120, 120, 120))
		    end
	    end
	   
	end
end

-- 对应的item滑动到正中间
function ViewUpgradeReward:ScrollItemDidStopInCenter( pScroll, pItem, nIdx )
	-- 礼包等级  +2603
	if pScroll == self.pCtBagScroll then 
		
		-- 移动到这个位置
		self.CurStartIndex = nIdx
		self.LevStartMove = false
		self.LvMoveFlag = false
	-- 等级好礼	 -2603
	else 
		-- 移动到这个位置
		self.CurStartIndex = nIdx
		self.BagLvMoveFlag = false
		-- 设置等级礼包移动标记 
 		self.BagLevStartMove = true

		if self.nCurIndex ~= nIdx then
			pItem:setZOrder(pItem:getZOrder() + 1)
			tolua.cast(pItem1, "CCSprite")
    		SHARE_FUNC.SetNodeCascadeColorAndOpacityEnabled(pItem1, true, nil)
    		pItem:setColor(ccc3(255, 255, 255))
    		-- self:UpdateBagLv(self.pSpBag1, self.pSpBag2, nIdx)

    		local pItem1 = pScroll:GetItemByIndex( nIdx - 1 )
    		local pItem2 = pScroll:GetItemByIndex( nIdx + 1 )

    		if pItem1 then
    			tolua.cast(pItem1, "CCSprite")
    			SHARE_FUNC.SetNodeCascadeColorAndOpacityEnabled(pItem1, true, nil)
    			pItem1:setColor(ccc3(120, 120, 120))
    			pItem1:setZOrder(0)

    		end
			
    		if pItem2 then
    			tolua.cast(pItem2, "CCSprite")
    			SHARE_FUNC.SetNodeCascadeColorAndOpacityEnabled(pItem2, true, nil)
    			pItem2:setColor(ccc3(120, 120, 120))
    			pItem2:setZOrder(0)
    		end
 		end
 		
 		 self.pCtBagScroll:ShowScrollToIndex(nIdx)
 		 -- local nCurIndex = self.pCtBagScroll:GetCurIndex()

 		 -- local fDis = (nIdx - nCurIndex)*131
 		 -- local fCenDis = self.BagCenter.x - self.pCtBagScroll:GetCenterItem():getPositionX()

 		 -- print("nCurIndex = ",  self.BagCenter.x, self.pCtBagScroll:GetCenterItem():getPositionX())
 		 -- self.pCtBagScroll:ReShowCenterIndex(nIdx)
 		self.pCtBagScroll:ShowScrollToIndex(nIdx)


 		--  local nCount = self.pCtCarScroll:GetShowItems()
		 -- print("nCount ", #nCount)
	end


end

function ViewUpgradeReward:ScrollStartMove(pScroll)
	self.CurStartIndex = 0
	if pScroll == self.pCtCarScroll  then 
		-- 控制等级移动标记
		self.BagLvMoveFlag = true
		self.CurStartIndex = pScroll:GetCurIndex()
	else
		-- 控制礼包等级移动标记
		self.LvMoveFlag = true 
		self.CurStartIndex = pScroll:GetCurIndex()
	end
end

-- 点击item  领取奖励
function ViewUpgradeReward:getUpgradeReward()
	nItemNumber = self.pCtCarScroll:GetCurIndex()
	-- 用户点击item：未领取item 已经领取item  未解锁item
	if tRewardState[nItemNumber + 1] == 0 then
		DIALOGMGR:ShowToast("已经领取")
	elseif tRewardState[nItemNumber + 1] == 1 then
		self:SendGetUpgradeReward(nItemNumber)	
	elseif tRewardState[nItemNumber + 1] == 2 then
		DIALOGMGR:ShowToast("未解锁")
	else
		return
	end
end 

-- 发动领取好礼奖励请求
function ViewUpgradeReward:SendGetUpgradeReward(nIdx)
	-- 发送
	local tLuaData = {idx = nIdx}
    -- CTONCMD.GetUpgradeReward 消息类型 要在客户端和服务器两段的table里面进行配置
	SHARE_FUNC.NoticeMainLogicSendMsg(CTONCMD.GetUpgradeReward, tLuaData)
end



-- mark: ============== 触控的管理 ================
-- 开始触控
function ViewUpgradeReward:ViewTouchBegan(tLocation, nCount)
	-- self.pCtuiLayer:CTUITouchBegan(tLocation)
	repeat
		if self.pCtuiLayer:CTUITouchBegan(tLocation) == true then
			break
		end
		if self.pCtCarScroll and self.LvMoveFlag == false then 
			self.pCtCarScroll:ScrollTouchBegan(tLocation)
		end
		-- 控制这滑动等级的时候是否可以滑动上面的礼包等级
		if self.pCtBagScroll and self.BagLvMoveFlag == false then 
			self.pCtBagScroll:ScrollTouchBegan(tLocation)
		end
		self.nCarTouchType = 0;
		for i,tRect in ipairs(self.tRewardRect) do
			if tRect:containsPoint(tLocation) then
				self.nCarTouchType = 1
				break
			end
		end
	until true
end

-- 触控移动
function ViewUpgradeReward:ViewTouchMoved(tLocation, tPrevPos, tBeganPos)
	-- self.pCtuiLayer:CTUITouchMoved(tLocation)
	if ccpDistance(tLocation, tBeganPos) > 10 then
		self.nCarTouchType = 2
	end
	
	repeat
		if self.pCtuiLayer:CTUITouchMoved(tLocation) == true then
			break
		end
		-- 是否可以滑动等级好礼
		if self.LvMoveFlag == false and self.pCtCarScroll then 
			self.pCtCarScroll:ScrollTouchMoved(tLocation, tPrevPos)
		end

		if  self.BagLvMoveFlag == false and self.pCtBagScroll then 
			self.pCtBagScroll:ScrollTouchMoved(tLocation, tPrevPos)
		end
		
	until true

end

-- 触控结束
function ViewUpgradeReward:ViewTouchEnded(tLocation, tPrevPos, tBeganPos)
	-- self.pCtuiLayer:CTUITouchEnded(tLocation)
	repeat
		self.pCtCarScroll:ScrollTouchEnded(tLocation, tPrevPos)
		if self.pCtBagScroll then 
			self.pCtBagScroll:ScrollTouchEnded(tLocation, tPrevPos)
		end
		if self.pCtuiLayer:CTUITouchEnded(tLocation) == true then
			break
		end
		
		if self.nCarTouchType == 1 then
			-- 播放点击按钮声音
		    SOUNDMGR:PlayEffClickButton()
		    self:getUpgradeReward()
		end
		self.nCarTouchType = 0;
	until true
end


return ViewUpgradeReward