-- 网络信息CMD
-- Author: Link
-- Date: 2013-12-17 15:40:19
--

-- 客户端发送给服务端的数据
CTONCMD = {
	-- 版本检测，获取更新地址
	CheckClientGetUrl	= 1000,
	-- 登陆界面的
	RegisterUser		= 1002,
	ChangePsw 			= 1003,
	LoginUser 			= 1004,
	GetServiceList  	= 1005,
	-- 游客一键游戏
	VisitorFastGame  	= 1006,
	-- 游戏转注册用户
	VisitorToRegister  	= 1007,

	-- 进入游戏
	IntoGameServ		= 2000,
	-- 注册玩家昵称
	RegPlayerNick		= 2001,

	-- 获取物品图鉴信息
	TuJianInfo			= 2008,
	-- 通知服务器进入新的教学步骤
	IntoTeachNewStep	= 2021,
	-- 获取模拟排行榜列表
	GetEmuRankList 		= 20290,
	-- 通知服务器进入教学的排位赛
	IntoTeachRankWar 	= 20300,
	IntoTeachLootWar 	= 20301,
	-- 通知服务器教学的排位赛结束
	IntoTeachRankRes 	= 2030,
	--------- 好友信息 --------
	-- 获取好友列表 
	GetFriendList		= 2100,
	-- 获取宿敌列表
	GetEnemyList		= 2101,
	-- 添加好友
	AddOneFriend		= 2102,
	-- 回应添加好友
	ResAddOneFriend		= 2103,
	-- 好友切磋
	FightOneFriend		= 2104,
	-- 删除好友
	DelOneFriend		= 2105,
	-- 添加宿敌
	AddOneEnemy			= 2110,
	-- 删除好友
	DelOneEnemy			= 2112,
	-- 搜索和获取推荐列表
	SearchFriend		= 2120,
	-- 给别人留言
	MessageToOther		= 2121,
	--------------------------

	-------- 布阵信息 ---------
	-- 换防守地图
	ChangeDefMap 		= 2503,
	-- 更换阵容
	SwitchTeam 			= 2615,
	-- 当前阵容互换位置
	ChangeCarPos 		= 2625,
	--------------------------

	-------- 消息列表 --------
	-- 系统通知
	SystemNotice		= 2200,
	-- 获取消息列表
	GetMessageList		= 2211,
	-- 已经读取查看新消息
	HadReadNewMsg		= 2212,
	-- 战斗回放
	ReplyBattle			= 2215,
	-- 删除一条信息
	DeleteOneMsg		= 2216,
	-- 获取信息里面的奖励
	GetOneMsgRewards	= 2217,
	
	-- 获取兑换码的奖励
	GetExchangeRewards	= 2230,
	-------------------------

	-- 战斗反馈信息 --
	ResServFightResult	= 2320,

	-------- PVE信息 --------
	-- 获取任务信息
	GetTaskInfo     	= 2300,
	-- 开始一次普通副本
	StartOneTask    	= 2301,
	-- 购买BOSS关卡次数
	BuyTaskBossTimes	= 2302,
	-- 开始一次精英副本
	StartOnePieceTask	= 2304,
	-- 购买精英关卡次数。
	BuyPieceTaskTimes	= 2305,
	-- 扫荡命令
	SkipOneTask 		= 2306,
	-------------------------

	----- PVE endless信息 -----
	-- 获取无尽挑战的基本信息
	GetEndlessBaseInfo 	= 2310,
	-- 获取闯关信息
	GetEndlessFightInfo = 2311,
	-- 选择buff
	GetEndlessBuffs    	= 2312,
	-- 选择npc组
	GetEndlessNPCs		= 2313,

	-- 选择endless top 排名
	GetEndlessTop		= 2314,
	-------------------------

	-------- 活动相关 ---------
	-- 活动状态列表
	ActStatusList 		= 2400,
	-- 签到活动领取
	GetLogonActReward 	= 2401,
	-- 免费精力值领取
	GetFreeEnergyReward	= 2402,
	-- 升级奖励领取
	GetUpgradeReward 	= 2403,
	-- 临时活动奖励领取
	GetTempActReward 	= 2404,

	-- 免费精力值活动状态
	GetFreeEnergyStatus	= 2410,

	-- 获取活动列表状态的状态
	GetActListStatus 	= 2430,

	-- 临时活动的信息列表
	GetTempActInfo 		= 2431,

	-- 大转盘转动
	GetTableTurn	 	= 2432,
	-- 大转盘得高级物品信息列表。
	GetTableMsgList	 	= 2433,
	-- 刷新一次大转盘物品。
	RefreshTableItems	= 2434,


	-- 每日任务的信息获取
	GetDailyTaskInfo 	= 2440,
	-- 每日任务的获取物品
	GetDailyTaskItem 	= 2441,
	-- 每日任务的领取
	GetDailyTaskGet 	= 2442,
	--	招财猫
	GetLuckyCatGet		= 2436,
	--------------------------

	-------- PVP信息 ---------
	-- 搜索排位
	StartGetRankList 	= 2500,
	-- 获取排外数据
	StartFightRank	 	= 2501,
	-- 排名积分兑换
	RankExchange		= 2502,
	-- 搜索掠夺
	StartGetLootList 	= 2520,
	-- 开始掠夺战
	StartFightLoot 		= 2521,
	-- 掠夺积分兑换
	LootExchange		= 2522,
	--------------------------

	-------- 商城买卖 --------
	-- 购买商城物品
	BuyItemShopItem		= 2601,
	-- 使用物品
	UseBagItem			= 2603,
	-- 卖掉物品
	SellBagItem 		= 2602,
	-- 使用钥匙
	UseBoxKey			= 2605,
	UseBoxKeyByDiamond	= 2607,
	-- 合成车
	HeChengCar			= 2630,
	-- 碎片合成卡牌
	PieceCombineCard	= 2631,
	-- 卡牌提升星级
	CardUpgradeStarLv	= 2632,
	-- 卡牌分解碎片
	CardDecomposePiece	= 2633,

	-- 每日购买vip礼包状态。
	VipGiftStatus		= 2600,
	-- 购买vip礼包。
	VipBuyGift			= 2604,
	-------------------------

	-------- 队伍信息 --------
	EquipOneCar			= 2620,
	EquipOneEquip		= 2621,
	StregthCard			= 2610,
	-- 砖石解锁预备对
	LockPreTeam 		= 2622,
	-------------------------


	--------- top排名---------
	-- 世界排名
	GetTopWorldRankList	= 2540,
	-- 掠夺排名
	GetTopLootRankList = 2541,
	--------------------------

	--------- 支付相关---------
	-- 获取支付号
	GetPurchaseOrderId	= 2700,
	-- 获取购买成功后发送的物品列表。
	GetPurchaseGoodsList = 2701,
	--------------------------


	--------- 建筑物相关 ------
	-- 从建筑获取卡牌
	GetCarFromBuilding	= 3010,
	-- 从建筑获取装备
	GetEquipFromBuilding= 3014,
	-- 建造一个建筑
	BuildOneBuilding 	= 3020,
	-- 升级一个建筑
	LevelUpOneBuilding 	= 3021,
	-- 改建建筑
	ModifyOneBuilding 	= 3022,
	-- 加速收获
	SpeedUpGainBuilding	= 3030,
	-- 收获一个建筑
	GainOneBuilding		= 3031,
	--------------------------

	-- Ping服务器 ---
	PingServer 			= 9900,
	----------------

	-- 客户端内部使用的消息
	-- 显示赛道
	StartShowLocalRace	= 20001, 
	-- 停止网络连接
	StartStopConnect	= 20002,
	-- 通知网络数据进行重连
	StartToReconnect 	= 20003,
	-- 通知网络数据端，清理一些登陆之后的数据
	ClearGameLoginData	= 20004,
}


-- 服务端反馈给客户端的数据
NTOCCMD = {
	-- 版本检测，获取更新地址
	CheckClientGetUrl	= 1000,
	-- 登陆界面的
	RegisterUser		= 1002,
	ChangePsw 			= 1003,
	LoginUser			= 1004,
	GetServiceList  	= 1005,
	VisitorFastGame  	= 1006,
	VisitorToRegister  	= 1007,
	
	-- 进入游戏
	IntoGameServ		= 2000,
	-- 注册玩家昵称
	RegPlayerNick		= 2001,
	-- 获取物品图鉴信息
	TuJianInfo			= 2008,
	-- 通知服务器进入新的教学步骤
	IntoTeachNewStep	= 2021,
	-- 通知服务器进入教学的排位赛
	IntoTeachRankRes 	= 2030,
	--------- 好友信息 --------
	-- 获取好友列表 
	GetFriendList		= 2100,
	-- 获取宿敌列表
	GetEnemyList		= 2101,
	-- 添加好友
	AddOneFriend		= 2102,
	-- 回应添加好友
	ResAddOneFriend		= 2103,
	-- 好友切磋
	FightOneFriend		= 2104,
	-- 删除好友
	DelOneFriend		= 2105,
	-- 通知有个新好友添加进入列表
	NoticeGetNewFriend	= 2106,
	-- 添加宿敌
	AddOneEnemy			= 2110,
	-- 删除好友
	DelOneEnemy			= 2112,
	-- 搜索和获取推荐列表
	SearchFriend		= 2120,
	-- 给别人留言
	MessageToOther		= 2121,
	--------------------------

	-------- 布阵信息 ---------
	-- 换防守地图
	ChangeDefMap 		= 2503,
	-- 更换阵容
	SwitchTeam 			= 2615,
	-- 当前阵容互换位置
	ChangeCarPos 		= 2625,
	--------------------------

	-------- 消息列表 --------
	-- 系统通知
	SystemNotice		= 2200,
	-- 获取只给数目的信息
	GetNewMsgNum 		= 2210,
	-- 获取消息列表
	GetMessageList		= 2211,
	-- 已经读取查看新消息
	HadReadNewMsg		= 2212,
	-- 得到新消息
	GetNewMessage		= 2214,
	-- 战斗回放
	ReplyBattle			= 2215,
	-- 删除一条信息
	DeleteOneMsg		= 2216,
	-- 获取信息里面的奖励
	GetOneMsgRewards	= 2217,
	
	-- 获取兑换码的奖励
	GetExchangeRewards	= 2230,
	-------------------------

	-- 战斗反馈信息 --
	ResServFightResult	= 2320,


	-------- PVE信息 --------
	-- 获取任务信息
	GetTaskInfo     	= 2300,
	-- 开始一次普通副本
	StartOneTask    	= 2301,
	-- 购买BOSS关卡次数
	BuyTaskBossTimes	= 2302,
	-- 开始一次精英副本
	StartOnePieceTask	= 2304,
	-- 购买精英关卡次数。
	BuyPieceTaskTimes	= 2305,
	-- 扫荡命令
	SkipOneTask 		= 2306,
	-------------------------

	-------- PVE endless信息 --------
	-- 获取无尽挑战的基本信息
	GetEndlessBaseInfo 	= 2310,
	-- 获取闯关信息
	GetEndlessFightInfo = 2311,
	-- 选择buff
	GetEndlessBuffs    	= 2312,
	-- 选择npc组
	GetEndlessNPCs		= 2313,

	-- 选择endless top 排名
	GetEndlessTop		= 2314,
	-------------------------

	-------- 活动相关 ---------
	-- 活动状态列表
	ActStatusList 		= 2400,
	-- 签到活动领取
	GetLogonActReward 	= 2401,
	-- 免费精力值领取
	GetFreeEnergyReward	= 2402,
	-- 升级奖励领取
	GetUpgradeReward 	= 2403,
	-- 临时活动奖励领取
	GetTempActReward 	= 2404,

	-- 免费精力值活动状态
	GetFreeEnergyStatus	= 2410,

	-- 获取活动列表状态的状态
	GetActListStatus 	= 2430,
	
	-- 临时活动的信息列表
	GetTempActInfo 		= 2431,

	-- 大转盘转动
	GetTableTurn 		= 2432,
	-- 大转盘得高级物品信息列表。
	GetTableMsgList	 	= 2433,
	-- 刷新一次大转盘物品。
	RefreshTableItems	= 2434,


	-- 每日任务的信息获取
	GetDailyTaskInfo 	= 2440,
	-- 每日任务的获取物品
	GetDailyTaskItem 	= 2441,
	-- 每日任务的领取
	GetDailyTaskGet 	= 2442,
	--	招财猫
	GetLuckyCatGet		= 2436,
	-- 接收获取钻石具体数据(用户名 物品）
	GetLuckyCatInfo		= 2437,
	--------------------------

	-------- PVP信息 ---------
	-- 搜索排位
	StartGetRankList 	= 2500,
	-- 获取排外数据
	StartFightRank	 	= 2501,
	-- 排名积分兑换
	RankExchange		= 2502,
	-- 搜索掠夺
	StartGetLootList 	= 2520,
	-- 开始掠夺战
	StartFightLoot 		= 2521,
	-- 掠夺积分兑换
	LootExchange		= 2522,
	--------------------------

	-------- 商城买卖 --------
	-- 购买商城物品
	BuyItemShopItem		= 2601,
	-- 使用物品
	UseBagItem			= 2603,
	-- 卖掉物品
	SellBagItem 		= 2602,
	-- 使用钥匙
	UseBoxKey			= 2605,
	UseBoxKeyByDiamond	= 2607,
	-- 合成车
	HeChengCar			= 2630,
	-- 碎片合成卡牌
	PieceCombineCard	= 2631,
	-- 卡牌提示星级
	CardUpgradeStarLv	= 2632,
	-- 卡牌分解碎片
	CardDecomposePiece	= 2633,

	-- 每日购买vip礼包状态。
	VipGiftStatus		= 2600,
	-- 购买vip礼包。
	VipBuyGift			= 2604,
	-------------------------

	-------- 队伍信息 --------
	EquipOneCar			= 2620,
	EquipOneEquip		= 2621,
	StregthCard			= 2610,
	-- 砖石解锁预备对
	LockPreTeam 		= 2622,
	-------------------------
	
	--------- top排名---------
	-- 世界排名
	GetTopWorldRankList	= 2540,
	-- 掠夺排名
	GetTopLootRankList	= 2541,
	--------------------------

	--------- 支付相关---------
	-- 获取支付号
	GetPurchaseOrderId	= 2700,
	-- 获取购买成功后发送的物品列表。
	GetPurchaseGoodsList = 2701,
	--------------------------

	--------- 建筑物相关 ------
	-- 从建筑获取卡牌
	GetCarFromBuilding	= 3010,
	-- 从建筑获取装备
	GetEquipFromBuilding= 3014,
	-- 建造一个建筑
	BuildOneBuilding 	= 3020,
	-- 升级一个建筑
	LevelUpOneBuilding 	= 3021,
	-- 改建建筑
	ModifyOneBuilding 	= 3022,
	-- 加速收获
	SpeedUpGainBuilding	= 3030,
	-- 收获一个建筑
	GainOneBuilding		= 3031,
	--------------------------

	-- Ping服务器 ---
	PingServer 			= 9900,
	----------------

}

-- HTTP的数据命令
HttpCmd = {
	-- 获取版本文件
	GetVerlistFile		= 10001,
	-- 获取一个资源文件
	GetOneResFile 		= 10002,
	-- 验证登录成功key。
	CheckLoginTokenKey 	= 10003,
	-- 向服务器发送验证订单的信息
	CheckBuyOrderInfo	= 10004,
	-- 获取Appstore登陆ip
	GetAppstoreLoginIp	= 10005,

	-- 获取RSA加密字符串，测试使用
	GetRsaTextWord 		= 10101,
}

-- 服务器给客户端的通知命令
NOTICECMD = {

}
-- 已经占用的信息数字，避免重复
--NetNoticeType_DisconnectFromServ	= 6000,	// 与服务器断开连接
--NetNoticeType_DisconnectBySelf,		// 自己断开连接
--NetNoticeType_ConFromServTimeOut,	// 连接服务器超时
--NetNoticeType_ConToServFailed,		// 连接到服务器失败，没有网络
--NetNoticeType_ConnectToServ,		// 与服务器连接上
--NetNoticeType_ServNotOpen,			// 与服务器连接失败，服务器没有打开


NETINFO = {
	-- 设备类型，0-android,1-ios,2-other
	DeviceType = 0,
	-- 获取成功
	ResTypeScuess		= 0,	-- 成功
	ResTypeBadPaceage	= 1,	-- 游戏包名错误。
	ResTypeRegFail		= 2,	-- 注册失败，邮箱地址不正确
	ResTypeSaveOBErr	= 3,	-- 保存数据库出错
	ResTypeLoginInfoErr	= 4,	-- 账号或密码错误
	ResTypeWrongVer		= 5,	-- 版本号错误
	ResTypeSameEmail	= 6,	-- 注册邮箱已使用
	ResTypeAccNotExist	= 7,	-- 账户不存在
	ResTypePswSame		= 8,	-- 新旧密码相同

	ResTypeNoNick		= 10,	-- 未注册昵称
	ResTypeErrLoginKey	= 11,	-- 登录key值错误.
	ResTypeSameNick		= 12,	-- 昵称重复.
	ResTypeUNotOnLine	= 13,	-- 用户不在线
	ResTypeTaskNotExist	= 14,	-- 章节任务不存在
	ResTypeSpriteLow	= 15,	-- 精力值不足
	ResTypeActLow		= 16,	-- 行动力值不足
	ResTypeTaskNotStart	= 17,	-- 任务不能触发
	ResTypeBossTimesEnd	= 18,	-- BOSS使用次数完成
	ResTypeConGoldErr	= 19,	-- 操作金币时出错
	ResTypeConDiamondErr= 20,	-- 操作钻石时出错
	ResTypeUnlimitOver	= 21,	-- 无尽挑战每日次数已用完.
	ResTypeUnlimitBufErr= 22,	-- 无尽挑战选择buff错误
	ResTypeItemNotExist	= 23,	-- 物品不存在
	ResTypeGNotEnough	= 24,	-- 金币不足
	ResTypeDNotEnough	= 25,	-- 钻石不足
	ResTypeNoEquipItem	= 26,	-- 没有此装备物品
	ResTypeItemHadEquip	= 27,	-- 此物品已装备
	ResTypeEquipError	= 28,	-- 装备时出错
	ResTypeLevelUpErr	= 29,	-- 升级出错
	ResTypeChangePosErr	= 30,	-- 更换车位置出错
	ResTypeItemNotEnough= 31,	-- 物品个数不足
	ResTypeGetCardErr	= 32,	-- 招募车或装备错误
	ResTypeBuildingHadOn= 33,	-- 建造位置非空
	ResTypeSameBuilding	= 34,	-- 重建建筑不能重复
	ResTypeBuildingMax	= 35,	-- 建筑已经是最高级，不能升级
	ResTypeNoCurBuilding= 36,	-- 无此建筑信息
	ResTypeBuPlLvNotTo	= 37,	-- 用户等级不足建造或升级建筑
	ResTypeCanntDiamond	= 38,	-- 不能使用钻石
	ResTypeBCountDNotEnd= 39,	-- 收获的产出物品倒计时未结束
	ResTypeFullEnergy 	= 40,	-- 精力已满
	ResTypeFullActivity = 41,	-- 体力已满


	ResTypeItemCannotSell=50,	-- 道具不能出售
	
	ResTypeNoMapData	=60,	-- 地图数据不存在
	ResTypeRevengeNoTimes=61,	-- pvp每日复仇次数已满
	ResTypeRankNoTimes	=62,	-- pvp每日免费挑战次数已完
	ResTypeRankNoScore	=63,	-- pvp排名战积分不足
	ResTypeLootNoExTimes=64,	-- pvp掠夺积分兑换物品次数已完
	ResTypeLootNoScore	=65,	-- pvp掠夺积分不足
	ResTypeRankLower 	=66,	-- pvp挑战对手排名比我低
	ResTypeRankInWar	=67,	-- pvp挑战对手在战斗中（被别人挑战）
		
	ResTypeIsNotFriend	=70,	-- 不是好友
	ResTypeHadBeFriend	=71,	-- 已经是好友
	ResTypeYetReqFriend	=72,	-- 已经有此好友请求
	ResTypeYetQieCuo	=73,	-- 每日切磋次数已满
	ResTypeFriendSetEmpty=74,	-- 好友设置数据为空
	ResTypeYetBeEnemy	=75,	-- 已经是宿敌

	ResTypeFightIDErr 	= 81,	-- 反馈战斗ID错误

	ResTypeChongZhiFailed	= 191,	-- 充值失败

	ResTypeOtherErr		= 100,	-- 其它错误信息
}



-- 不同平台做不同的处理
local nTargetPlatform = CCApplication:sharedApplication():getTargetPlatform()
if nTargetPlatform == kTargetIphone or nTargetPlatform == kTargetIpad  then  --ios
    NETINFO.DeviceType = 1

elseif nTargetPlatform == kTargetAndroid then -- android
	NETINFO.DeviceType = 0

else
	NETINFO.DeviceType = 2
	
end

