DCItem = {}

--[[道具购买
	itemId:道具ID String类型
	itemType:道具类型 String类型
	itemCount:道具数量 int类型
	virtualCurrency:购买道具花费的虚拟币数量 long long类型
	currencyType:虚拟币类型 String类型
	consumePoint:消费点
]]
function DCItem.buy(itemId, itemType, itemCount, virtualCurrency, currencyType, consumePoint)
	DCLuaItem:buy(itemId, itemType, itemCount, virtualCurrency, currencyType, consumePoint)
end

--[[获得道具
	itemId:道具ID String类型
	itemType:道具类型 String类型
	itemCount:道具数量 int类型
	reason:获得道具的原因
]]
function DCItem.get(itemId, itemType, itemCount, reason)
	DCLuaItem:get(itemId, itemType, itemCount, reason)
end

--[[消耗道具
	itemId:道具ID String类型
	itemType:道具类型 String类型
	itemCount:道具数量 int类型
	reason:消耗道具的原因
]]
function DCItem.consume(itemId, itemType, itemCount, reason)
	DCLuaItem:consume(itemId, itemType, itemCount, reason)
end

return DCItem