DCVirtualCurrency = {}

--[[充值开始接口，发起充值时调用，充值成功后回调时需要调用onChargeSuccess，
	其中两个接口中的orderId必须一致,该接口将与下个版本废弃，建议使用paymentSuccess
	orderId:充值SDK生成的充值订单号，String类型
	currencyAmount:充值金额 Int类型
	currencyType:充值货币类型，String类型
	paymentType:付费方式，String类型
]]
function DCVirtualCurrency.onCharge(orderId, currencyAmount, currencyType, paymentType)
	DCLuaVirtualCurrency:onCharge(orderId, currencyAmount, currencyType, paymentType)
end

--[[充值结束接口，充值成功回调时调用，与onCharge配合使用，两接口的orderId参数需要一致,
	该接口将与下个版本废弃，建议使用paymentSuccess
	orderId:充值SDK生成的充值订单号，String类型
]]
function DCVirtualCurrency.onChargeSuccess(orderId)
	DCLuaVirtualCurrency:onChargeSuccess(orderId)
end

--[[直接充值接口，无法获取orderId时调用，该接口将与下个版本废弃，建议使用paymentSuccess
	currencyAmount:充值金额 Int类型
	currencyType:充值货币类型，String类型
	paymentType:付费方式，String类型
]]
function DCVirtualCurrency.onChargeOnlySuccess(currencyAmount, currencyType, paymentType)
	DCLuaVirtualCurrency:onChargeOnlySuccess(currencyAmount, currencyType, paymentType)
end

--[[直接充值接口，充值成功后回调时调用,新增接口，用于取代其它三个接口
	orderId:充值SDK生成的充值订单号，String类型
	currencyAmount:充值金额 Int类型
	currencyType:充值货币类型，String类型
	paymentType:付费方式，String类型
]]
function DCVirtualCurrency.paymentSuccess(orderId, currencyAmount, currencyType, paymentType)
	DCLuaVirtualCurrency:paymentSuccess(orderId, currencyAmount, currencyType, paymentType)
end

return DCVirtualCurrency