--
-- Author: Link
-- Date: 2014-11-03 14:20:16
--

function toint( value )
    return math.round(value);
end

local TestMenuLayer = class("TestMenuLayer", function()
	return display.newLayer();
end)


-- 等级菜单
function TestMenuLayer:ctor()
	-- 技能类型
	self.pBtnMgr = CCMenu:create()
	self:addChild(self.pBtnMgr)
	self.pBtnMgr:setPosition(ccp(0,0))
	self.pBtnMgr:setVisible(false)

	-- 总列表
	self.pBtnMgr1 = CCMenu:create()
	self:addChild(self.pBtnMgr1)
	self.pBtnMgr1:setPosition(ccp(0,0))
	-- pBtnMgr1:setVisible(false)

	-- 重新开始
	self.pBtnMgr2 = CCMenu:create()
	self:addChild(self.pBtnMgr2)
	self.pBtnMgr2:setPosition(ccp(0,0))
	self.pBtnMgr2:setVisible(false)

	-- 地图测试
	self.pBtnMgr3 = CCMenu:create()
	self:addChild(self.pBtnMgr3)
	self.pBtnMgr3:setPosition(ccp(0,0))
	self.pBtnMgr3:setVisible(false)

	-- 车子星级
	self.pBtnCarStar = CCMenu:create()
	self:addChild(self.pBtnCarStar)
	self.pBtnCarStar:setPosition(ccp(0,0))
	self.pBtnCarStar:setVisible(false)

	-- 车子技能
	self.pBtnCarSkill = CCMenu:create()
	self:addChild(self.pBtnCarSkill)
	self.pBtnCarSkill:setPosition(ccp(0,0))
	self.pBtnCarSkill:setVisible(false)

	-- 车子的数据
	self.pDicCarInfo = {}
	self.pAllItemInfo = {}

	-- 
	self:LoadCarAllInfo()
	-- 车子的数据
	self.tShowCarIDList = self:GetCarIDList( {"S", "A", "B", "C"} )
end


function TestMenuLayer:initTest(pAppDelegate)
	local tBtnShowColor = ccc3(255, 255, 255);

	self.pAppDelegate = pAppDelegate

	-- 技能类型
	local tArrWord = {
		"暴雨",
		"冰冻",
		"缠绕",
		"嘲讽-车顶",
		"嘲讽-漩涡",
		"翅膀",
		"导弹",
		"发芽",
		"风",
		"弓箭",
		"光柱",
		"黑洞",
		"幻象",
		"荆刺",
		"空间罩",
		"雷电",
		"烈火",
		"狮子吼",
		"无间道",
		"雾气",
		"长矛",
		"锁",
		"原版加速",
		"原版减速",
	}

	-- 地图类型
	local tArrMapWord = {
		"3001---公路-美国杯",
		"3002---冰路-东京杯",
		"3003---越野-大阪杯",
		"3004---沙地-十胜杯",
		"3005---火山-冲绳杯",
		"3006---石路-日本杯",
		"3007---草地-匈牙利杯",
		"3008---公路-埃及杯",
		"3009---冰路-巴西杯",
		"3010---越野-德国杯",
		"3011---沙地-俄罗斯杯",
		"3012---火山-马来西亚",
		"3013---石路-铃鹿杯",
		"3014---草地-土耳其杯",
	}

	-- 地图物理区域的显示情况
	local itemMapPhy = CCMenuItemFont:create("开关")
	itemMapPhy:registerScriptTapHandler(function( sender )
		if g_tSelSuperInfo.nMapPhy == true then
			itemMapPhy:setString("现在是不显示物理区域")
			g_tSelSuperInfo.nMapPhy = false;
		else
			itemMapPhy:setString("现在是显示物理区域")
			g_tSelSuperInfo.nMapPhy = true;
		end
	end)
	itemMapPhy:setFontSizeObj(60)
	itemMapPhy:setPosition( ccp(ctprwidth(0.5), ctprheight(0.3) ) )
	itemMapPhy:setColor( tBtnShowColor )
	self.pBtnMgr3:addChild(itemMapPhy)
	if g_tSelSuperInfo.nMapPhy ~= true then
		itemMapPhy:setString("现在是不显示物理区域")
	else
		itemMapPhy:setString("现在是显示物理区域")
	end

	-- 外服选择
	local item1 = CCMenuItemFont:create("车子技能")
	item1:registerScriptTapHandler(function( sender )
		GAME_STATUS.ChangeOneStatus(1, STATUS_MAIN.LOGIN, true)
		self.pBtnMgr1:setVisible(false)
		self.pBtnMgr:setVisible(false)

		self.pBtnMgr2:setVisible(false)
		self.pBtnMgr3:setVisible(false)
		self.pBtnCarStar:setVisible(true)
	end)
	item1:setFontSizeObj(70)
	item1:setPosition( ccp(ctprwidth(0.5), ctprheight(0.34) ) )
	item1:setColor( tBtnShowColor )
	self.pBtnMgr1:addChild(item1)

	-- 内服选择
	local item3 = CCMenuItemFont:create("内服启动")
	item3:registerScriptTapHandler(function( sender )
		self.pBtnCarSkill:removeFromParent()
		self.pBtnCarSkill=nil;
		self.pBtnCarStar:removeFromParent()
		self.pBtnCarStar=nil;
		self.pBtnMgr3:removeFromParent();
		self.pBtnMgr3=nil;
		self.pBtnMgr2:removeFromParent();
		self.pBtnMgr2=nil;
		self.pBtnMgr1:removeFromParent();
		self.pBtnMgr1=nil;
		self.pBtnMgr:removeFromParent();
		self.pBtnMgr = nil;
		-- 内服网络
		g_nSelServType = NetWorkType.LanNet
		
		g_tSelSuperInfo = nil;
		g_bIsSkillDebug = nil;

		if CT_SERV_TYPE ~= nil and CTNETWORK ~= nil and GAME_STATUS ~= nil then
			CT_SERV_TYPE = g_nSelServType
			CTNETWORK.StopConnect()
			CTNETWORK.ChangeServIp()
			self.pAppDelegate:go()
		else
			self.pAppDelegate:go()
		end
		
	end)
	item3:setFontSizeObj(70)
	item3:setPosition( ccp(ctprwidth(0.5), ctprheight(0.17) ) )
	item3:setColor( tBtnShowColor )
	self.pBtnMgr1:addChild(item3)

	-- 重选和测试
	local item2 = CCMenuItemFont:create("重选")
	item2:registerScriptTapHandler(function( sender )
		self.pAppDelegate:RemoveGameMain()

		self.pBtnMgr1:setVisible(true)
		self.pBtnMgr:setVisible(false)

		self.pBtnMgr2:setVisible(false)
		self.pBtnMgr3:setVisible(false)
		self.pBtnCarStar:setVisible(false)
	end)
	item2:setFontSizeObj(55)
	item2:setPosition( ccp(ctprwidth(0.35), ctprheight(1)-80 ) )
	item2:setColor( tBtnShowColor )
	self.pBtnMgr2:addChild(item2)

	local item2Back = CCMenuItemFont:create("重新开始")
	item2Back:registerScriptTapHandler(function( sender )
		GAME_STATUS.ChangeOneStatus(1, STATUS_MAIN.LOGIN, true)
	end)
	item2Back:setFontSizeObj(55)
	item2Back:setPosition( ccp(ctprwidth(0.7), ctprheight(1)-80 ) )
	item2Back:setColor( tBtnShowColor )
	self.pBtnMgr2:addChild(item2Back)

	-- 技能测试
	local item5 = CCMenuItemFont:create("技能测试")
	item5:registerScriptTapHandler(function( sender )
		GAME_STATUS.ChangeOneStatus(1, STATUS_MAIN.LOGIN, true)
		self.pBtnMgr1:setVisible(false)
		self.pBtnMgr:setVisible(true)

		self.pBtnMgr2:setVisible(false)
		self.pBtnMgr3:setVisible(false)
		self.pBtnCarStar:setVisible(false)
	end)
	item5:setFontSizeObj(70)
	item5:setPosition( ccp(ctprwidth(0.5), ctprheight(0.51) ) )
	item5:setColor( tBtnShowColor )
	self.pBtnMgr1:addChild(item5)

	-- 跑道测试
	local item5 = CCMenuItemFont:create("赛道测试")
	item5:registerScriptTapHandler(function( sender )
		GAME_STATUS.ChangeOneStatus(1, STATUS_MAIN.LOGIN, true)
		self.pBtnMgr1:setVisible(false)
		self.pBtnMgr:setVisible(false)

		self.pBtnMgr2:setVisible(false)
		self.pBtnMgr3:setVisible(true)
		self.pBtnCarStar:setVisible(false)
	end)
	item5:setFontSizeObj(70)
	item5:setPosition( ccp(ctprwidth(0.5), ctprheight(0.68) ) )
	item5:setColor( tBtnShowColor )
	self.pBtnMgr1:addChild(item5)

	-- 跑道测试
	local item6 = CCMenuItemFont:create("当场比赛测试")
	item6:registerScriptTapHandler(function( sender )
		-- 除了是否显示物理区域保留，其他都删除
		local bIsTemp = g_tSelSuperInfo.nMapPhy
		g_tSelSuperInfo = {}
		g_tSelSuperInfo.nMapPhy = bIsTemp;

		self.pBtnMgr1:setVisible(false)
        self.pBtnMgr2:setVisible(true)
    	self.pBtnMgr:setVisible(false)
    	self.pBtnMgr3:setVisible(false)
    	self.pBtnCarStar:setVisible(false)

    	-- 获取技能字符串
    	self:OneCustomFight()

        self.pAppDelegate:go()
	end)
	item6:setFontSizeObj(70)
	item6:setPosition( ccp(ctprwidth(0.5), ctprheight(0.85) ) )
	item6:setColor( tBtnShowColor )
	self.pBtnMgr1:addChild(item6)


	local nShowLine = 4;


	CCMenuItemFont:setFontName(LABEL_BOLD_FONT_NAME)

	local function menuCallbackEnable(sender)
		-- 地图
		if sender >= 3000 then
			g_tSelSuperInfo.nMap = sender;
		-- 技能
		else
			g_tSelSuperInfo.nSkill = sender;
		end
		
        self.pBtnMgr1:setVisible(false)
        self.pBtnMgr2:setVisible(true)
    	self.pBtnMgr:setVisible(false)
    	self.pBtnMgr3:setVisible(false)
    	self.pBtnCarStar:setVisible(false)

    	-- 获取技能字符串
    	self:OneSkillAndMapEffect()

        self.pAppDelegate:go()
    end

	-- 技能
	for i,v in ipairs(tArrWord) do

		local item4 = CCMenuItemFont:create(v)
	    item4:registerScriptTapHandler(menuCallbackEnable)
	    item4:setFontSizeObj(30)
	    item4:setColor( tBtnShowColor )
	    item4:setTag(i)
	    
		local nX = (i-1) % nShowLine + 0.5;
		local nY = math.floor( (i-1)/nShowLine );
		item4:setPosition( ccp(ctprwidth(1/nShowLine)*nX, ctprheight(1)-ctipwidth(100)-ctipwidth(80)*nY ) )

		self.pBtnMgr:addChild(item4)
	end

	-- 地图
	for i,v in ipairs(tArrMapWord) do

		local item4 = CCMenuItemFont:create(v)
	    item4:registerScriptTapHandler(menuCallbackEnable)
	    item4:setFontSizeObj(30)
	    item4:setColor( tBtnShowColor )
	    item4:setTag(i+3000)
	    
		local nX = (i-1) % 2 + 0.5;
		local nY = math.floor( (i-1)/2 );
		item4:setPosition( ccp(ctprwidth(1/2)*nX, ctprheight(1)-ctipwidth(100)-ctipwidth(80)*nY ) )

		self.pBtnMgr3:addChild(item4)
	end

	-- 车子技能
	for i=1,4 do
		local item4 = CCMenuItemFont:create( self:GetLevelStarNameByType(i+2).."级车" )
	    item4:registerScriptTapHandler( function(sender)
			self:ShowOneCarListByStar(sender)

	    end )
	    item4:setFontSizeObj(60)
	    item4:setColor( tBtnShowColor )
	    item4:setTag(i+2)

	    local nSelIdx = 5-i;
	    
		local nX = (nSelIdx-1) % 2 + 0.5;
		local nY = math.floor( (nSelIdx-1)/2 );
		item4:setPosition( ccp(ctprwidth(1/2)*nX, ctprheight(1)-ctipwidth(100)-ctipwidth(150)*nY ) )

		self.pBtnCarStar:addChild(item4)
	end

	local tBackList = {self.pBtnMgr, self.pBtnMgr3, self.pBtnCarStar}
	for i,v in ipairs(tBackList) do
		local item5 = CCMenuItemFont:create("返回")
		item5:registerScriptTapHandler(function( sender )
			self.pBtnMgr1:setVisible(true)
			self.pBtnMgr:setVisible(false)

			self.pBtnMgr2:setVisible(false)
			self.pBtnMgr3:setVisible(false)
			self.pBtnCarStar:setVisible(false)
		end)
		item5:setFontSizeObj(70)
		item5:setPosition( ccp(ctprwidth(0.5), ctprheight(0.15) ) )
		item5:setColor( tBtnShowColor )
		v:addChild(item5)
	end
end


-- 读取车子数据
function TestMenuLayer:LoadCarAllInfo()
	requires(ROOT_PATH, "app/Data/DataNormal")
	-- 车子的东西
	local strFilePath = Public_GetResPathByKey("Images/StaticDatas/CarData.json", true);
	local strCarInfo = io.readfile(strFilePath);
	local tTempInfo = json.decode(strCarInfo)

	-- 遍历所有车子
	for strID,tTmp in pairs(tTempInfo) do

		local tOneCar = clone(CarInfo)
		-- 类型
		tOneCar.tType.nBigType = ItemBigType.Car
		tOneCar.tType.nSmallType = ItemSmallType.Car
		-- 获取对应属性
		-- 车子ID
		tOneCar.nID = toint(strID)
		
		-- 车子名字
		tOneCar.strName = tTmp.name
		-- 车子的描述信息
		tOneCar.strContent = tTmp.description
		-- 车子的队伍类型
		tOneCar.nTeamType = tTmp.team
		-- 等级
		tOneCar.strStar = self:GetLevelStarNameByType(tTmp.star+1)
		-- 车子速度
		tOneCar.fSpeed = tTmp.s
		-- 车子加速度
		tOneCar.fASpeed = tTmp.a
		-- 车子转弯
		tOneCar.fTurn = tTmp.t
		-- 车子升一级增加的速度
		tOneCar.fLvSpeed = tTmp.sGrowth
		-- 车子升一级增加的加速度
		tOneCar.fLvASpeed = tTmp.aGrowth
		-- 车子升一级增加的转弯
		tOneCar.fLvTurn = tTmp.tGrowth
		-- 地图的加成信息
		for i,v in ipairs(tTmp.mapAddRate) do
			tOneCar.tRoadEffect[i] = v
		end
		-- 缘
		for i,tOneYuanTmp in ipairs(tTmp.yuan) do
			local pAddYuan = {}
	 		-- 索引
	 		pAddYuan.nIdx = tOneYuanTmp[1]+1
	 		-- 名字
			pAddYuan.strName = tOneYuanTmp[2]
			-- 添加的对象类型
			pAddYuan.nType = tOneYuanTmp[3]
			-- 添加的对象ID列表
			pAddYuan.nTargeID = tOneYuanTmp[4]
			-- 添加的属性类型
			pAddYuan.nAddType = tOneYuanTmp[5]
			-- 添加的数值百分比
			pAddYuan.fPercent = tOneYuanTmp[6]
			-- 添加到数组中
			tOneCar.tYuan[pAddYuan.nIdx] = pAddYuan
		end
		if tTmp.skill1 ~= nil then
			local tCurCarData
			-- 技能
			local tAddSkill = {}
			-- 索引
	 		tAddSkill.nIdx = 1
	 		-- 名字
			tAddSkill.strName = tTmp.skill1.name
			-- 技能类型.
			tAddSkill.nType = tTmp.skill1.type
			-- 技能的偏差值
			tAddSkill.tDt = clone(tTmp.skill1.alpha)
			-- 技能的显示
			-- tAddSkill.tShowEff = {15, 0}
			tAddSkill.tShowEff = {tTmp.skill1.effType1, tTmp.skill1.effType2}
			-- 增益指向类型
			tAddSkill.nAddTo = tTmp.skill1.addTo
			-- 削弱指向类型
			tAddSkill.nSubTo = tTmp.skill1.subTo
			
			-- 添加到数组中
			tOneCar.tSkill[tAddSkill.nIdx] = tAddSkill
		end		

		-- 获取对应等级的列表
		local tStarList = self.pDicCarInfo[tOneCar.strStar]
		if tStarList == nil then
			tStarList = {}
			self.pDicCarInfo[tOneCar.strStar] = tStarList
		end
		-- 存放信息
		tStarList[tOneCar.nID] = tOneCar

		self.pAllItemInfo[ tOneCar.nID ] = tOneCar;
	end
end

-- 根据车配件的ID来获取车子配件信息
function TestMenuLayer:GetLevelStarNameByType(nType)
	if nType == 2 then
		return "D"
	elseif nType == 3 then
		return "C"
	elseif nType == 4 then
		return "B"
	elseif nType == 5 then
		return "A"
	elseif nType == 6 then
		return "S"
	end
	return "E"
end
-- 根据车配件的ID来获取车子配件信息
function TestMenuLayer:GetLevelStarTypeByName(strStar)
	if strStar == "D" then
		return 2
	elseif strStar == "C" then
		return 3
	elseif strStar == "B" then
		return 4
	elseif strStar == "A" then
		return 5
	elseif strStar == "S" then
		return 6
	end
	return 1
end

-- 获取车子物品信息列表
function TestMenuLayer:GetCarIDList(tStarList)
	local tCarIdList = {}

	if tStarList == nil then
		-- 根据情况获取汽车ID列表
		for strStar,tCarList in pairs(self.pDicCarInfo) do
			for nID,tCarInfo in pairs(tCarList) do
				tCarIdList[#tCarIdList+1] = nID
			end
		end
	else
		for i,strStar in ipairs(tStarList) do
			local tCarList = self.pDicCarInfo[strStar]
			if tCarList ~= nil then
				for nID,tCarInfo in pairs(tCarList) do
					tCarIdList[#tCarIdList+1] = nID
				end
			end
		end
	end
	

	return tCarIdList
end

-- 显示对应级别的车
function TestMenuLayer:ShowOneCarListByStar(nStarLv)

	local tBtnShowColor = ccc3(255, 255, 255);

	self.pBtnMgr1:setVisible(false)
	self.pBtnMgr:setVisible(false)

	self.pBtnMgr2:setVisible(false)
	self.pBtnMgr3:setVisible(false)
	self.pBtnCarStar:setVisible(false)
	self.pBtnCarSkill:setVisible(true)

	self.pBtnCarSkill:removeAllChildren();

	local strStar =	self:GetLevelStarNameByType(nStarLv)

	local tCarList = self:GetCarIDList( {strStar} )

	for i,v in ipairs( tCarList ) do
		local tCarInfo = self.pAllItemInfo[v];
		local strName = string.format("[%s]%s", tCarInfo.strStar, tCarInfo.strName);

		local item4 = CCMenuItemFont:create(strName)
	    item4:registerScriptTapHandler( function(sender)

	    	self.pBtnMgr1:setVisible(false)
	        self.pBtnMgr2:setVisible(true)
	    	self.pBtnMgr:setVisible(false)
	    	self.pBtnMgr3:setVisible(false)
	    	self.pBtnCarStar:setVisible(false)
	    	self.pBtnCarSkill:setVisible(false)

	    	-- 获取技能字符串
	    	self:OneCarSkill(sender)

	        self.pAppDelegate:go()
	    	
	    end )
	    item4:setFontSizeObj(30)
	    item4:setColor( tBtnShowColor )
	    item4:setTag(v)
	    
		local nX = (i-1) % 3 + 0.5;
		local nY = math.floor( (i-1)/3 );
		item4:setPosition( ccp(ctprwidth(1/3)*nX, ctprheight(1)-ctipwidth(100)-ctipwidth(60)*nY ) )

		self.pBtnCarSkill:addChild(item4)
	end


	local item5 = CCMenuItemFont:create("返回")
	item5:registerScriptTapHandler(function( sender )
		self.pBtnMgr1:setVisible(false)
		self.pBtnMgr:setVisible(false)

		self.pBtnMgr2:setVisible(false)
		self.pBtnMgr3:setVisible(false)
		self.pBtnCarStar:setVisible(true)
		self.pBtnCarSkill:setVisible(false)
	end)
	item5:setFontSizeObj(70)
	item5:setPosition( ccp(ctprwidth(0.5), ctprheight(0.15) ) )
	item5:setColor( tBtnShowColor )
	self.pBtnCarSkill:addChild(item5)
end

-- 当前车子播放技能
function TestMenuLayer:OneCarSkill(nCarID)
	local strJson = [==[
{
	"tIntoInfo": {
		"bIsEnemy": false, 
		"nType": 7, 
		"nUid": 10118
	}, 
	"tFight": {
		"tSelfInfo": {
		    "strName": "申雪瑤", 
		    "nLv": 6,
		    "nUid": 10118
		}, 
		"tOtherInfo": {
		    "strName": "諸可燕", 
		    "nLv": 1,
		    "nUid": 10002
		}, 
		"nMapID": 3004, 
		"tCarEvents": [
            {
		    	"nType": 8, 
		    	"fAddition": 18.084745,
		    	"fAddition1": 0,
                "fTime": 3, 
                "nCarPos": 2, 
                "fRoadValue": 4759.2366047071,
                "nSubTo":2,
                "nAddTo":14
            }
		], 
		"nMyPos": 1, 
		"tEnemyCars": [
            {
                "a": 386.4, 
                "cLv": 0, 
                "id": 1099, 
                "lv": 60, 
                "s": 638.08, 
                "sLv": 5, 
                "t": 379.08
            }, 
            {
                "a": 578.44, 
                "cLv": 0, 
                "id": 1090, 
                "lv": 30, 
                "s": 822.72, 
                "sLv": 5, 
                "t": 396.72
            }, 
            {
                "a": 327.8, 
                "cLv": 0, 
                "id": 1035, 
                "lv": 60, 
                "s": 469, 
                "sLv": 4, 
                "t": 357.92
            }, 
            {
                "a": 180, 
                "cLv": 1, 
                "id": 1052, 
                "lv": 16, 
                "s": 313, 
                "sLv": 4, 
                "t": 242
            }, 
            {
                "a": 180, 
                "cLv": 1, 
                "id": 1052, 
                "lv": 16, 
                "s": 313, 
                "sLv": 4, 
                "t": 242
            }
		], 
		"nFightID": 2, 
		"nFightType": 4, 
		"tMyCars": [
            {
                "a": 493.16, 
                "cLv": 0, 
                "id": 1101, 
                "lv": 34, 
                "s": 929.28, 
                "sLv": 5, 
                "t": 490.64
            }, 
            {
                "a": 275.3, 
                "cLv": 0, 
                "id": 1051, 
                "lv": 33, 
                "s": 459.456, 
                "sLv": 4, 
                "t": 264.06
            }, 
            {
                "a": 134.52, 
                "cLv": 0, 
                "id": 1046, 
                "lv": 19, 
                "s": 212.68, 
                "sLv": 3, 
                "t": 166.12
            }, 
            {
                "a": 134.52, 
                "cLv": 0, 
                "id": 1046, 
                "lv": 19, 
                "s": 212.68, 
                "sLv": 3, 
                "t": 166.12
            }, 
            {
                "a": 134.52, 
                "cLv": 0, 
                "id": 1046, 
                "lv": 19, 
                "s": 212.68, 
                "sLv": 3, 
                "t": 166.12
            }
		]
	},
	"fightEnd": {
		"clickT": -0.03230691, 
        "pressUid": 10118, 
        "result": 0, 
        "rewards":{
        	"c1id":2205,
        	"c2id":1001,
        	"c3id":2301,
        	"item":[
        		2205,
        		61,
        		9,
        		1,
        		1,
        		0,
        		1,
        		0,
        		0
        	]
        }, 
        "scores": [
            [
                1, 
                9, 
                2
            ], 
            [
                2, 
                3, 
                14
            ], 
            [
                3, 
                5, 
                10
            ], 
            [
                4, 
                1, 
                33
            ], 
            [
                5, 
                2, 
                18
            ], 
            [
                6, 
                10, 
                0
            ], 
            [
                7, 
                6, 
                8
            ], 
            [
                8, 
                7, 
                6
            ], 
            [
                9, 
                4, 
                12
            ], 
            [
                10, 
                8, 
                4
            ]
        ], 
        "times": [
            [
                1, 
                50.919, 
                2
            ], 
            [
                2, 
                22.679, 
                1
            ], 
            [
                3, 
                24.959, 
                2
            ], 
            [
                4, 
                21.679, 
                1
            ], 
            [
                5, 
                22.519, 
                2
            ], 
            [
                6, 
                164.2, 
                1
            ], 
            [
                7, 
                26.919, 
                2
            ], 
            [
                8, 
                38.199, 
                1
            ], 
            [
                9, 
                22.999, 
                2
            ], 
            [
                10, 
                39.919, 
                1
            ]
        ]
	}
}
      ]==]


	local tCarInfo = self.pAllItemInfo[nCarID];
	local tRaceInfo = json.decode(strJson)
	tRaceInfo.tFight.tMyCars[2].id = nCarID;
	tRaceInfo.tFight.tMyCars[2].sLv = self:GetLevelStarTypeByName( tCarInfo.strStar )
	-- 技能的处理
	local tOne = tRaceInfo.tFight.tCarEvents[1];
	tOne.nEffectTest1 = tCarInfo.tSkill[1].tShowEff[1]
	tOne.nEffectTest2 = tCarInfo.tSkill[1].tShowEff[2]
	tOne.nType = tCarInfo.tSkill[1].nType
	tOne.fAddition = 15;
	tOne.fAddition1 = 7;
	tOne.nSubTo = tCarInfo.tSkill[1].nSubTo;
	tOne.nAddTo = tCarInfo.tSkill[1].nAddTo;
	tOne.fRoadValue = 700;
	tOne.nCarPos = 4;
	-- 解析回来
	g_sDebugText = json.encode(tRaceInfo);
end

-- 一个地图和技能效果的
function TestMenuLayer:OneSkillAndMapEffect()
	local strJson = [==[
{
	"tIntoInfo": {
		"bIsEnemy": false, 
		"nType": 7, 
		"nUid": 10118
	}, 
	"tFight": {
		"tSelfInfo": {
		    "strName": "申雪瑤", 
		    "nLv": 6,
		    "nUid": 10118
		}, 
		"tOtherInfo": {
		    "strName": "諸可燕", 
		    "nLv": 1,
		    "nUid": 10002
		}, 
		"nMapID": 3004, 
		"tCarEvents": [
            {
		    	"nType": 8, 
		    	"fAddition": 18.084745,
		    	"fAddition1": 0,
                "fTime": 3, 
                "nCarPos": 1, 
                "fRoadValue": 4759.2366047071,
                "nSubTo":2,
                "nAddTo":14
            }
		], 
		"nMyPos": 1, 
		"tEnemyCars": [
            {
                "a": 386.4, 
                "cLv": 0, 
                "id": 1099, 
                "lv": 60, 
                "s": 638.08, 
                "sLv": 5, 
                "t": 379.08
            }, 
            {
                "a": 578.44, 
                "cLv": 0, 
                "id": 1090, 
                "lv": 60, 
                "s": 822.72, 
                "sLv": 5, 
                "t": 396.72
            }, 
            {
                "a": 327.8, 
                "cLv": 0, 
                "id": 1035, 
                "lv": 60, 
                "s": 469, 
                "sLv": 4, 
                "t": 357.92
            }, 
            {
                "a": 180, 
                "cLv": 1, 
                "id": 1052, 
                "lv": 60, 
                "s": 313, 
                "sLv": 4, 
                "t": 242
            }, 
            {
                "a": 180, 
                "cLv": 1, 
                "id": 1052, 
                "lv": 60, 
                "s": 313, 
                "sLv": 4, 
                "t": 242
            }
		], 
		"nFightID": 2, 
		"nFightType": 4, 
		"tMyCars": [
            {
                "a": 493.16, 
                "cLv": 0, 
                "id": 1101, 
                "lv": 60, 
                "s": 929.28, 
                "sLv": 5, 
                "t": 490.64
            }, 
            {
                "a": 275.3, 
                "cLv": 0, 
                "id": 1051, 
                "lv": 60, 
                "s": 459.456, 
                "sLv": 4, 
                "t": 264.06
            }, 
            {
                "a": 134.52, 
                "cLv": 0, 
                "id": 1046, 
                "lv": 60, 
                "s": 212.68, 
                "sLv": 3, 
                "t": 166.12
            }, 
            {
                "a": 134.52, 
                "cLv": 0, 
                "id": 1046, 
                "lv": 60, 
                "s": 212.68, 
                "sLv": 3, 
                "t": 166.12
            }, 
            {
                "a": 134.52, 
                "cLv": 0, 
                "id": 1046, 
                "lv": 60, 
                "s": 212.68, 
                "sLv": 3, 
                "t": 166.12
            }
		]
	},
	"fightEnd": {
		"clickT": -0.03230691, 
        "pressUid": 10118, 
        "result": 0, 
        "rewards":{
        	"c1id":2205,
        	"c2id":1001,
        	"c3id":2301,
        	"item":[
        		2205,
        		61,
        		9,
        		1,
        		1,
        		0,
        		1,
        		0,
        		0
        	]
        }, 
        "scores": [
            [
                1, 
                9, 
                2
            ], 
            [
                2, 
                3, 
                14
            ], 
            [
                3, 
                5, 
                10
            ], 
            [
                4, 
                1, 
                33
            ], 
            [
                5, 
                2, 
                18
            ], 
            [
                6, 
                10, 
                0
            ], 
            [
                7, 
                6, 
                8
            ], 
            [
                8, 
                7, 
                6
            ], 
            [
                9, 
                4, 
                12
            ], 
            [
                10, 
                8, 
                4
            ]
        ], 
        "times": [
            [
                1, 
                50.919, 
                2
            ], 
            [
                2, 
                22.679, 
                1
            ], 
            [
                3, 
                24.959, 
                2
            ], 
            [
                4, 
                21.679, 
                1
            ], 
            [
                5, 
                22.519, 
                2
            ], 
            [
                6, 
                164.2, 
                1
            ], 
            [
                7, 
                26.919, 
                2
            ], 
            [
                8, 
                38.199, 
                1
            ], 
            [
                9, 
                22.999, 
                2
            ], 
            [
                10, 
                39.919, 
                1
            ]
        ]
	}
}
      ]==]

	local tRaceInfo = json.decode(strJson)
	if g_tSelSuperInfo ~= nil then
		-- 技能的处理
		if g_tSelSuperInfo.nSkill ~= nil then
			local tOne = tRaceInfo.tFight.tCarEvents[1];
			tOne.nEffectTest1 = g_tSelSuperInfo.nSkill
			tOne.nEffectTest2 = 0

			requires(ROOT_PATH, "app/GameLg/Race/SkillEffResMgr")
			local SkEffectType = SkillEffResMgr:SkEffectType();

			if g_tSelSuperInfo.nSkill == SkEffectType.HeiDong then
				tOne.nType = 21
				tOne.nSubTo = 2;
				tOne.nAddTo = 14;
				tOne.fRoadValue = 2700;
				tOne.nCarPos = 7;
			else
				tOne.nType = 1
				tOne.fAddition = 10;
				tOne.fAddition1 = 0;
				tOne.nSubTo = 1;
				tOne.nAddTo = 0;
				tOne.fRoadValue = 700;
				tOne.nCarPos = 7;
			end
		end

		-- 技能的处理
		if g_tSelSuperInfo.nMap ~= nil then
			tRaceInfo.tFight.nMapID = g_tSelSuperInfo.nMap
		end
	end

	-- 解析回来
	g_sDebugText = json.encode(tRaceInfo);
end

-- 一场自定义比赛的
function TestMenuLayer:OneCustomFight()
	g_sDebugText = [==[
{
	"tIntoInfo": {
		"bIsEnemy": false, 
		"nType": 7, 
		"nUid": 10118
	}, 
	"tFight": {
		"tSelfInfo": {
		    "strName": "申雪瑤", 
		    "nLv": 6,
		    "nUid": 10118
		}, 
		"tOtherInfo": {
		    "strName": "諸可燕", 
		    "nLv": 1,
		    "nUid": 10002
		}, 
		"nMapID": 3001, 
		"tCarEvents": [
		], 
		"nMyPos": 1, 
		"tEnemyCars": [
            {
                "a": 1, 
                "cLv": 0, 
                "id": 1099, 
                "lv": 43, 
                "s": 1, 
                "sLv": 5, 
                "t": 1
            }
		], 
		"nFightID": 2, 
		"nFightType": 4, 
		"tMyCars": [
            {
                "a": 1, 
                "cLv": 0, 
                "id": 1101, 
                "lv": 34, 
                "s": 99999, 
                "sLv": 5, 
                "t": 99999
            }
		]
	},
	"fightEnd": {
		"clickT": 1.03230691, 
        "pressUid": 10118, 
        "result": 0, 
        "rewards":{
        	"c1id":2205,
        	"c2id":1001,
        	"c3id":2301,
        	"item":[
        		2205,
        		61,
        		9,
        		1,
        		1,
        		0,
        		1,
        		0,
        		0
        	]
        }, 
        "scores": [
            [
                1, 
                9, 
                2
            ], 
            [
                2, 
                3, 
                14
            ], 
            [
                3, 
                5, 
                10
            ], 
            [
                4, 
                1, 
                33
            ], 
            [
                5, 
                2, 
                18
            ], 
            [
                6, 
                10, 
                0
            ], 
            [
                7, 
                6, 
                8
            ], 
            [
                8, 
                7, 
                6
            ], 
            [
                9, 
                4, 
                12
            ], 
            [
                10, 
                8, 
                4
            ]
        ], 
        "times": [
            [
                1, 
                50.919, 
                2
            ], 
            [
                2, 
                22.679, 
                1
            ], 
            [
                3, 
                24.959, 
                2
            ], 
            [
                4, 
                21.679, 
                1
            ], 
            [
                5, 
                22.519, 
                2
            ], 
            [
                6, 
                164.2, 
                1
            ], 
            [
                7, 
                26.919, 
                2
            ], 
            [
                8, 
                38.199, 
                1
            ], 
            [
                9, 
                22.999, 
                2
            ], 
            [
                10, 
                39.919, 
                1
            ]
        ]
	}
}
      ]==]
end

return TestMenuLayer;

